Please note that this file was created using an online translation service.

Release 4.225.123 from 2022-12-15
=================================

Miscellaneous
-Export: If only one end date is specified in the role of a standard cast, the website export writes out all seasons since the start of the export, even though production is played in fewer seasons. (Bug#18430 | category 3 - Medium)
-Spelling (Bug#18433 | category 3 - Medium)


Release 4.225.122 from 2022-12-12
=================================

Miscellaneous
-Duty roster entry types: The copy can be changed. (Bug#18428 | category 3 - Medium)
-Contact -> Required measures: The selection of required measures differs from the contract. (Bug#18429 | category 3 - Medium)


Release 4.225.121 from 2022-12-08
=================================

Miscellaneous
-Duty roster: Despite the authorization to record manual break times, these cannot be changed. (Bug#18421 | category 3 - Medium)


Release 4.225.120 from 2022-12-08
=================================

Miscellaneous
+Resource types can be assigned to categories (Feature#18397)
-Duty roster: Qualification from standard occupation - the period is not checked on a daily basis (Bug#18408 | category 3 - Medium)
-Duty roster: Function "Reschedule shift" with right-click on the current date does not allow employee selection (Bug#18409 | category 3 - Medium)
-People: Qualifications can be seen without authorization on contact dates (Bug#18420 | category 3 - Medium)


Release 4.225.119 from 2022-12-06
=================================

Miscellaneous
-Daily schedule: Failed to enter occupations and activities. (Bug#18401 | category 3 - Medium)


Release 4.225.114 from 2022-12-01
=================================

Miscellaneous
-Invoices: If an apartment item is deleted from an invoice, no new item can be created from the housing management. (Bug#18387 | category 3 - Medium)


Release 4.225.113 from 2022-11-29
=================================

Miscellaneous
-Duty roster: Edit daily note lands on roster settings/qualification, not on daily note (Bug#18328 | category 4 - Low)
-Edit MRP mask: The question whether changes should be saved also appears without changes (Bug#18380 | category 4 - Low)
-Employees/Contacts -> Calendar -> Day and week view: "Today" and "Go" do not trigger any effect (Bug#18385 | category 3 - Medium)


Release 4.225.112 from 2022-11-28
=================================

Miscellaneous
-Activity Details >Occupations: If the dialog is closed when the "Module/Department" selection tree is open, an error occurs. (Bug#18381 | category 4 - Low)
-Edit activity (time): If there is no permission on a countdown activity, an error occurs (permission) (Bug#18382 | category 3 - Medium)
-Master data: Department ->Possible allowances are not displayed (Bug#18386 | category 3 - Medium)


Release 4.225.111 from 2022-11-23
=================================

Miscellaneous
-Contacts->calendar (MRP): Daily allowances are only displayed if there is a roster entry (Bug#18378 | category 3 - Medium)
-Dispo/Production: Error message "You have no permission to write secret casts!" when changing the performance end time (Bug#18379 | category 3 - Medium)


Release 4.225.110 from 2022-11-23
=================================

thea.perso
-In the case of working time from shared duty, breaks are deducted as soon as the "standard time" is reached, without shared duty only when the "standard time" is exceeded. (Bug#18365 | category 3 - Medium)

Miscellaneous
-Copying production into new season copies roles, but not the qualifications. (Bug#18209 | category 3 - Medium)
-Roster (casts) Choir: Jumps to the same date in the past again and again when selecting "Free period" (Bug#18318 | category 3 - Medium)


Release 4.225.108 from 2022-11-15
=================================

Miscellaneous
+Project planning: Activities can be postponed (temporally) (Feature#18359)
-Plan Cast per production -> basiccast -> "Standard cast off" does not output any values from 2. (Bug#18276 | category 3 - Medium)
-Orchestra Web: Service divider with read/orchestra option can select the service in its own group, but it is not saved (Bug#18339 | category 3 - Medium)
-Absence planning: If a VmF is entered in the morning and an occupation and an entry from the standard occupation is entered in the afternoon and nothing is entered on the following day, the occupation from the standard occupation is entered on the followi (Bug#18358 | category 3 - Medium)
-Apartment management: No overnight stays can be entered in just one day (Bug#18363 | category 3 - Medium)
-Report: The formula "hours by day types" does not take breaks into account for services from occupations (Bug#18364 | category 3 - Medium)


Release 4.225.105 from 2022-11-09
=================================

Miscellaneous
-Dispo: Change of the playing time, if filtered to several productions, leads to exception errors. (Bug#18340 | category 3 - Medium)


Release 4.225.103 from 2022-11-09
=================================

thea.dispo
+Dispo: Named filters can be saved and retrieved (Feature#18330)

Miscellaneous
+For each contract, it can be determined differently whether allowances are to be paid out or transferred (Feature#18219)
+Report formula: Output of the hours (e.g. over 13h) if an employee has worked more than x (30 times number) over 13h in the playing time (Feature#18223)
+Report health: It can also be displayed to people whose last day of illness was not the day before. e.g. within the last 7 days (Feature#18233)
+Extension of the subscription rules: The number of Vst. per division, and the number of Vst during the school holidays can be specified. (Feature#18242)
+Rapport: Each MA can be sent his personal report by e-mail (Feature#18260)
+Tier: For the warning message for the minimum time between shared services, a time value can be specified below which the message is not output. (Feature#18291)
+Time account formula: The working time percentages are taken into account for monthly credited values. (Feature#18302)
+Production fields: Fields can be formatted (Feature#18319)


Release 4.224.120 from 2022-10-28
=================================

thea.perso
-Duty roster/demand plan: Manually created Runs are sometimes displayed under "Actors" (Bug#18311 | category 3 - Medium)
-Duty roster pressure: The deviating filter to be used for the schedule is not saved (Bug#18312 | category 3 - Medium)

Miscellaneous
+Daily info: For those who are absent, the contact area is also displayed (Feature#18313)


Release 4.224.119 from 2022-10-26
=================================

Miscellaneous
-Notes Borrowing: When sending the notes as an attachment, an error occurs (Bug#18283 | category 3 - Medium)
-Housing management: InvalidOperationException when scrolling through the housing management. (Bug#18290 | category 3 - Medium)
-Duty roster: Layout settings do not work. (Bug#18301 | category 3 - Medium)
-In the "Billing Report Choir Assistants" there may be a NullReferenceException. (Bug#18309 | category 3 - Medium)


Release 4.224.118 from 2022-10-17
=================================

Miscellaneous
-Action details: The controls are incorrectly "anchored", the controls shift when size changes (Bug#18268 | category 3 - Medium)
-Report Settlement of fees/allowances without template: Role designation not output correctly for several appointments (Bug#18286 | category 3 - Medium)
-Absence planning: Performances are not marked in bold if there is an optional activity on the same day. (Bug#18289 | category 3 - Medium)


Release 4.224.116 from 2022-10-13
=================================

Miscellaneous
-Production allowances do not store the contract types. (Bug#18277 | category 3 - Medium)
-Null Reference Exception when printing invoices. (Bug#18284 | category 3 - Medium)
-Notes Borrowing: When saving, an error message appears (Bug#18285 | category 3 - Medium)


Release 4.224.115 from 2022-10-12
=================================

Miscellaneous
-Rotation of images is not read and interpreted (Exif) (Bug#18282 | category 3 - Medium)


Release 4.224.114 from 2022-10-07
=================================

thea.perso
-Saving the department filters fails without write permission to department. (Bug#18278 | category 3 - Medium)

Miscellaneous
-WCF service uses old DLLs (Bug#18266 | category 3 - Medium)
-Needs/personnel qualifications: When scheduling, tasks from countdowns are also offered (Bug#18273 | category 4 - Low)
-Schedule overview: AllAppointments does not output all appointments. (Bug#18279 | category 3 - Medium)


Release 4.224.113 from 2022-09-28
=================================

Miscellaneous
-POS arrangement export: Loga field name corrected (Bug#18265 | category 3 - Medium)


Release 4.224.112 from 2022-09-20
=================================

Miscellaneous
-Festival assignments cannot be deleted. (Bug#18241 | category 3 - Medium)


Release 4.224.111 from 2022-09-19
=================================

Miscellaneous
-Repeat formula: Used in the formula "Berech. Pay on the day" accesses the advanced settings from the billing rules, and if several tasks are assigned to the service, the value is output per task (Bug#18237 | category 3 - Medium)
-Project planning: In the timeline view, a day is added when changing the time to time (Bug#18238 | category 3 - Medium)
-Contact search: No profile pictures are displayed in the business card view (Bug#18239 | category 3 - Medium)


Release 4.224.109 from 2022-09-15
=================================

thea.perso
-Roster printing: several daily comment columns. If total columns are displayed before roster, the rows connect to a row on Sunday (Bug#18227 | category 4 - Low)

Miscellaneous
+The Activity.Content Converter field now displays the content of the production for performances without content. (Feature#18229)
-Activities: Department-related remark can be entered, but does not save (Bug#18228 | category 3 - Medium)


Release 4.224.108 from 2022-09-07
=================================

Miscellaneous
-Plan >A "row per activity": The filter by production has no effect (Bug#18182 | category 3 - Medium)


Release 4.224.106 from 2022-09-07
=================================

Miscellaneous
-Roster -> Layout Setting : Nothing is displayed on the Schedule page. (Bug#18206 | category 3 - Medium)
-Appointment overview > The first travel step is not output. (Bug#18207 | category 3 - Medium)
-Roster printing: In the combination "2-column print" + "remark per shift" + "output of daily working time" + "remark in separate line", the remark of the 2nd shift is not output. (Bug#18208 | category 3 - Medium)


Release 4.224.105 from 2022-09-02
=================================

Miscellaneous
-Duty roster >sum column > WoSoll: If, for example, only the service is entered on Sunday, an incorrect value (e.g. 48h) is displayed (Bug#18183 | category 3 - Medium)


Release 4.224.103 from 2022-08-31
=================================

Miscellaneous
-Contacts - VCard with sensitive data is empty. (Bug#18198 | category 3 - Medium)


Release 4.224.102 from 2022-08-30
=================================

Miscellaneous
+Output to Excel: The output takes place in the appropriate data format (Feature#18121)


Release 4.224.101 from 2022-08-29
=================================

Miscellaneous
+Costumes: For costumes can be printed, there are print templates available (Feature#17760)
+Activities can also be filtered by "or" linked conditions (Feature#18130)
+A new plan type is available for the chronological display of all appointments of a person (Feature#18137)
+A list of the names of the assigned action types can be output for an activity. (Feature#18186)
-Productions: After changing the number of the selected cells change standard cast-. (Bug#8113 | category 3 - Medium)
-Production >Standard Cast > Replacement: Only 1st - 4th cast can be entered as "Cast Rank" (Bug#18192 | category 3 - Medium)


Release 4.224.100 from 2022-08-29
=================================

Miscellaneous
-Default occupation filter generates SQL exception (Bug#18180 | category 3 - Medium)


Release 4.223.121 from 2022-08-18
=================================

Miscellaneous
-Copy standard casts to playing time: If a role contains open-ended standard casts above the 4th cast, no standard casts are copied (Bug#18175 | category 3 - Medium)
-Action management: The Expiration column is not formatted as a date, so it cannot be sorted by date. (Bug#18176 | category 3 - Medium)
-Daily schedule: Zero-reference exception if individual occupations are not scheduled due to overlaps (Bug#18179 | category 3 - Medium)


Release 4.223.118 from 2022-08-04
=================================

Miscellaneous
-Address Plan -> Childcontacts outputs the same contact for First and Last. (Bug#18160 | category 3 - Medium)

thea.staff
+Action management: Personnel appraisal is available as an action category type. (Feature#18161)


Release 4.223.116 from 2022-07-29
=================================

Miscellaneous
-Project planning: In some (lower) views, "wrong" context menus are displayed (Bug#18119 | category 3 - Medium)
-Daily schedule: No daily schedule sections are issued without occupations (Bug#18120 | category 3 - Medium)
-Roster (occupations): For role groups, the positions are not superimposed (Bug#18135 | category 3 - Medium)
-POS arrangement/Sepa export: Check for correct BIC (Bug#18141 | category 3 - Medium)
-Export: "Rehearsal times" are also exported (Bug#18143 | category 3 - Medium)
-Absence planning -> Plan half days off always plans afternoon absences on completely free days (Bug#18156 | category 3 - Medium)
-Roster release: The department name can no longer be output in the email. (Bug#18157 | category 3 - Medium)

thea.orchester (web)
-In the event of changes in the number of services for the orchestra, the website will not be updated (promptly). (Bug#17835 | category 3 - Medium)


Release 4.223.115 from 2022-07-06
=================================

Miscellaneous
-Project planning (Bug#18111 | category 3 - Medium)


Release 4.223.114 from 2022-07-05
=================================

Miscellaneous
-Dispo: InvalidOperationException, if the "Soliprobenproduktion" (id-1) does not exist. (Bug#18090 | category 3 - Medium)
-Fundus: No authorization on table "Cast", registrations are in the module "Mask" - Outsourcing in CostumeShares or similar. (Bug#18110 | category 3 - Medium)
-Overdraft facility reports: Service extrapolation > There are no more departments to choose from. (Bug#18112 | category 3 - Medium)


Release 4.223.110 from 2022-06-28
=================================

thea.perso
-Absence planning: Sending the roster by e-mail fails. (Bug#18104 | category 3 - Medium)


Release 4.223.109 from 2022-06-27
=================================

thea.orchester
-Master data orchestra: Instrument properties cannot be changed. (Bug#18094 | category 3 - Medium)

Miscellaneous
-Instrument management: If the periods of appreciation overlap, the instruments are displayed twice (Bug#18101 | category 3 - Medium)
-Contact import: No contract data can be saved (Bug#18102 | category 3 - Medium)


Release 4.223.108 from 2022-06-24
=================================

Miscellaneous
-No bios can be spent in expenses (Bug#18099 | category 3 - Medium)


Release 4.223.106 from 2022-06-23
=================================

Miscellaneous
-Cast per production: The list for the selection of seasons is not sorted (Bug#18093 | category 3 - Medium)


Release 4.223.101 from 2022-06-17
=================================

thea.dispo
+In the report "Presentation Budget" the fees can optionally be issued according to occupied samples (Feature#18006)
+Contract printing: Implementation of fields for the output of the program (works) of the concerts included in the contract. To the works can be issued the persons of the standard occupation according to the scenario. (Feature#18024)
+Contract printing: Implementation of a field to output the total contract costs. The determination of costs based on the most occupied activities. (Feature#18028)
+Administration of immigration taxes and solidarity surcharges (master data, contract fields, calculations, output fields for contract printing) (Feature#18032)
+Festival management (creation of festivals, assignment to productions, filters in OVERDRAFT FACILITY, in the productions and in the plan "List of activities") (Feature#18040)

thea.perso
+Preliminary financial statements may be drawn up. (Feature#17863)
+Functions for transferring hours to be paid out from different wage types (Feature#17944)
+thea.perso > billing rules: An amount can be billed per service. (Feature#17965)
+Roster >Week Release: When switching to some release statuses, comments are prompted. The comment is displayed. (Feature#17998)

Miscellaneous
+Auditions: Applications can be imported (Feature#17694)
+Contact output: Gender-specific salutations can be created more easily via a "bool" field (Feature#18013)
+thea.web: The AuthenticateWindowsCredentials option can be used to check the validity of Windows logins (Feature#18076)

thea.costume
+Costume Management/Mask Management: There is a button for creating new costumes/mask parts (Feature#17644)
+A detailed view per costume part (model) is available (Feature#17954)

thea.dispo (web)
-Public plans no longer visible. (Bug#18045 | category 3 - Medium)

thea.mask
+Costume Management/Mask Management: There is a button for creating new costumes/mask parts (Feature#17644)

thea.travel
+Housing management: Invoices can be created (Feature#17878)


Release 4.223.100 from 2022-06-15
=================================

Miscellaneous
-Activity Details/Tasks/New Create: New Tasks are saved under "Performers". (Bug#18061 | category 3 - Medium)
-Daily schedule: If rehearsal appointments (with times) are created in the overdraft facility, a distinction is also made according to end times (Bug#18074 | category 3 - Medium)


Release 4.222.117 from 2022-06-10
=================================

Miscellaneous
-Parralel performances : Only the first standard cast is offered. (Bug#18063 | category 3 - Medium)
-Master data: Services from working time > The list of time accounts that is available for selection is not always up-to-date. (Bug#18064 | category 3 - Medium)
-Tours: An error occurs when adding the standard allowances (Bug#18065 | category 3 - Medium)
-Home/Occupation conflicts: Conflicts are also displayed for cancelled activities (Bug#18068 | category 3 - Medium)


Release 4.222.116 from 2022-06-03
=================================

Miscellaneous
-Perso reports/service evaluation: An error message appears in the filter setting "additionally all holidays" (Bug#18062 | category 3 - Medium)


Release 4.222.115 from 2022-06-03
=================================

Miscellaneous
-Cast field: For ungrouped lists, the sorting is not always evaluated (Bug#18060 | category 3 - Medium)


Release 4.222.114 from 2022-05-31
=================================

Miscellaneous
-Contact calendar: In the case of overlapping absences, the image jumps to a mixture of calendar and basic data. (Bug#18010 | category 3 - Medium)
-Pay off before factor pays out minutes even though hours have been incurred. (Bug#18046 | category 3 - Medium)
-Cash orders: Time account values are paid out several times (Bug#18051 | category 3 - Medium)


Release 4.222.111 from 2022-05-27
=================================

Miscellaneous
-People calendar: For multi-parters, no unoccupied samples are displayed (Bug#18023 | category 3 - Medium)


Release 4.222.110 from 2022-05-25
=================================

Miscellaneous
-Duty roster: The formula Rapport Columns determines the wrong value for calculation times. (Bug#17986 | category 3 - Medium)
-When executing the export "ConfigurableWageDataExport v1.0" an error message appears (Bug#18048 | category 3 - Medium)


Release 4.222.109 from 2022-05-20
=================================

Miscellaneous
-Field Control: The formatted text control renders incorrect text (Bug#18044 | category 3 - Medium)


Release 4.222.107 from 2022-05-18
=================================

Miscellaneous
-When occupying in the daily schedule, no check for the night's rest is carried out (Bug#18022 | category 3 - Medium)


Release 4.222.105 from 2022-05-17
=================================

Miscellaneous
-Housing management: When printing a booking, not all fields are filled in (Bug#17996 | category 3 - Medium)
-When deleting a user, the history knowledge is not deleted (Bug#18012 | category 3 - Medium)


Release 4.222.104 from 2022-05-03
=================================

Miscellaneous
-Daily schedule: In the cast field, the sorting is not evaluated when grouping by start. (Bug#17719 | category 4 - Low)


Release 4.222.103 from 2022-05-03
=================================

Miscellaneous
-Cash order - Not all payout values of the report are also included in the cash order. (Bug#17991 | category 3 - Medium)


Release 4.222.102 from 2022-04-29
=================================

Miscellaneous
-Travel management: Newly added Trips are only displayed after reopening the window (Bug#17976 | category 3 - Medium)
-thea.works: Tasks cannot be deleted. (Bug#17985 | category 3 - Medium)


Release 4.222.100 from 2022-04-26
=================================

thea.perso
+Rapport: Allowances for shortening night rests of different lengths can be specified. (Feature#17836)
+Duty roster: The completed target plan can be edited via a function. (Feature#17840)

Miscellaneous
+All supported formats can be imported in all imports (Feature#17779)
+Possibility to spend accounts split in the Naz distribution (Feature#17852)
+Apartment management: The possible planning status of a booking can be managed and colors can be assigned. The colors are displayed in the planning and in the print (Feature#17882)
+Housing management: The check-in and check-out of people can be managed, and displayed in the planning (Feature#17886)
+Housing management: Development of an output to Excel with horizontal timeline. A white space is displayed between the postings. Weeks are proposed as the issue period (Feature#17894)
+For part-time employees, it can be handed in whether the number of working days is fixed or variable (Feature#17948)
-Services from working time - the service length is not evaluated multiple times (Bug#17953 | category 3 - Medium)
-Personal report: Times per month/week -> The sum of the claims is not displayed correctly. (Bug#17958 | category 3 - Medium)
-Action details: The attachments are not visible. (Bug#17960 | category 3 - Medium)


Release 4.221.122 from 2022-04-08
=================================

Miscellaneous
-Contacts/> press: For long texts, the cursor/scroll bar is at the end of the text, the beginning of the text is not visible. (Bug#17875 | category 3 - Medium)
-Roster: No staffing requirements for samples are displayed (Bug#17952 | category 3 - Medium)


Release 4.221.121 from 2022-04-01
=================================

Miscellaneous
-Presentation budget: Fee due to role billing rules in multi-parters is not always spent (Bug#17933 | category 3 - Medium)


Release 4.221.119 from 2022-03-30
=================================

Miscellaneous
-Presentation budget: Of the subordinate productions of a multi-parter, the performance-related costs are not spent, lump sums are not filtered by division (Bug#17931 | category 3 - Medium)


Release 4.221.117 from 2022-03-29
=================================

Miscellaneous
-Roster print - The "empty" design state cannot be output to the roster print. (Bug#17928 | category 3 - Medium)
-Cash order: Foreign currencies are not displayed correctly. (Bug#17930 | category 3 - Medium)


Release 4.221.115 from 2022-03-22
=================================

Miscellaneous
+Tour: Columns with start and end times are available in the list of tours. All columns can be filtered. Column settings are saved (Feature#17909)
-Normal working time distribution: Overtime for part-time employees in shorter/longer weeks is not evaluated. (Bug#17902 | category 3 - Medium)
-Repeat formula >services from working time: Services for absences without working time (AU, vacation at the WE) are also taken into account. (Bug#17913 | category 3 - Medium)
-If stage-specific assignments are created in project planning, an error occurs in the OVERDRAP when filtering by days of the week (Bug#17916 | category 3 - Medium)

thea.staff
-Activity Details (Instructions)->Casting: "Needs to add participants" do not offer the required participants from action groups. (Bug#17856 | category 3 - Medium)


Release 4.221.113 from 2022-03-17
=================================

Miscellaneous
-Changes to the sort number have no effect on total columns (Bug#17904 | category 3 - Medium)

thea.project
-Error >project scheduling: If a new task is reopened in the details pane, Cancel resets all data (Bug#17903 | category 3 - Medium)


Release 4.221.112 from 2022-03-09
=================================

Miscellaneous
-Credit account is transferred negatively even if transferred is off. (Bug#17851 | category 3 - Medium)


Release 4.221.111 from 2022-03-09
=================================

thea.perso
-Roster: No negative correction values are displayed in months that have not yet been completed. (Bug#17859 | category 3 - Medium)

Miscellaneous
-Normal working time distribution: Roster changes are not evaluated if Sick was entered. (Bug#17860 | category 3 - Medium)
-Normal working time distribution: Weekly calculation times can lead to a reduction in overtime. (Bug#17861 | category 3 - Medium)


Release 4.221.110 from 2022-03-03
=================================

Miscellaneous
-Tours: A newly created tour cannot be saved (Zero Reference Exception) (Bug#17833 | category 3 - Medium)
-Soliproben: If the line-up at the Soloproben is changed, the old contract may remain assigned (Bug#17857 | category 3 - Medium)
-Change standard casts: If the option "Do not warn about changes in the hourly line-up for abw. Bes." is set, the evening casts are changed across all seasons (Bug#17858 | category 3 - Medium)


Release 4.221.109 from 2022-03-01
=================================

Miscellaneous
-People search: Contact areas can no longer be filtered. (Bug#17793 | category 3 - Medium)
-at the end of the month the values transferred to other accounts are not overwritten if 0 would be written (Bug#17810 | category 3 - Medium)
-Monthly total report: Manual withdrawals/transfers are not always displayed. (Bug#17846 | category 3 - Medium)


Release 4.221.107 from 2022-02-28
=================================

thea.perso
-Normal working time distribution=> Working hours on public holidays are assumed to be too high. (Bug#17832 | category 3 - Medium)

Miscellaneous
-Occupation plan: The plan no longer outputs occupations unless it filters on one person. (Bug#17834 | category 3 - Medium)


Release 4.221.106 from 2022-02-24
=================================

thea.dispo
-Cost object cannot be assigned (Bug#17749 | category 3 - Medium)

Miscellaneous
-Ochesterdispo: The selection mode switches to multiple selection after week change and can no longer be reset. (Bug#17811 | category 3 - Medium)


Release 4.221.104 from 2022-02-22
=================================

Miscellaneous
+Countries: There is a function to add all countries (Feature#17773)
-Master data: No price groups can be deleted (Bug#17813 | category 3 - Medium)
 An outdated table name 'Auführg' did not check whether the selected price category was still in use.
Unused price category can now be deleted.


Release 4.221.103 from 2022-02-18
=================================

Miscellaneous
+Contracts: For soloists Lecture a leave entitlement may per year/season be entered. (Feature#7480)
+Roster: Employees who are in "other departments" are "marked". If there are employees in other departments, they are not counted in the attendances. (Feature#17662)
+Productions >costs: Costs per Vst can be stored indefinitely (across playing times). (Feature#17736)
+Contacts: Keywords can be stored (Feature#17764)

thea.staff
+Measures: In the case of the "Required Measures", participation can be entered for several persons at once. (Feature#17740)

thea.travel
+Housing management: The status is visible in the overview (Feature#17650)


Release 4.221.100 from 2022-02-15
=================================

Miscellaneous
-Dataservice- No right to select on tour attachments (Bug#17794 | category 3 - Medium)


Release 4.216.130 from 2022-02-17
=================================

Miscellaneous
-Roster: Rules for reducing the target az on public holidays are not applied on days off (Bug#17805 | category 3 - Medium)
-Normal working time distribution: The overtime for full-time employees is assumed to be too high. (Bug#17806 | category 3 - Medium)


Release 4.216.129 from 2022-02-11
=================================

Miscellaneous
-Auditions: When changing the audition type, the fields change slightly delayed (Bug#17791 | category 3 - Medium)

thea.contact
-Contact search: Unable to filter by contact areas (Bug#17787 | category 3 - Medium)


Release 4.216.127 from 2022-02-08
=================================

thea.dispo
-Activity Details >Task >: An error may occur when adding a cast (Bug#17759 | category 3 - Medium)

thea.perso
-Normal working time distribution - The calculation times of part-time workers on public holidays are not correct. (Bug#17758 | category 3 - Medium)
-NAZ distribution - Roster changes in the previous tax period are credited twice. (Bug#17778 | category 3 - Medium)


Release 4.216.126 from 2022-02-02
=================================

Miscellaneous
-Attaching documents to contract documents fails (Bug#17757 | category 3 - Medium)


Release 4.216.125 from 2022-02-02
=================================

Miscellaneous
-Formula Services from working time: The number of identified services is too high. (Bug#17752 | category 3 - Medium)


Release 4.216.120 from 2022-01-27
=================================

thea.perso
-Duty schedule: The ICS export is not displayed (Bug#17735 | category 3 - Medium)


Release 4.216.119 from 2022-01-25
=================================

thea.dispo
+Plan: The editing window responds slowly (Feature#17729)


Release 4.216.118 from 2022-01-21
=================================

Miscellaneous
-Budget management: It is not sorted correctly by cost objects and cost centers (Bug#17723 | category 3 - Medium)


Release 4.216.117 from 2022-01-20
=================================

Miscellaneous
-NAZ distribution: 6th working day of the week is calculated as MA25 if the day off is postponed. (Bug#17717 | category 3 - Medium)
-Personfielddata does not store all special characters. (Bug#17721 | category 3 - Medium)


Release 4.216.116 from 2022-01-19
=================================

thea.perso
-Rapport: The formula "hardship allowances" can contain invalid values (Bug#17720 | category 3 - Medium)


Release 4.216.114 from 2022-01-17
=================================

Miscellaneous
+Export >Ftp: When testing the FTP connection, a test file will also be transferred (Feature#17712)


Release 4.216.113 from 2022-01-14
=================================

Miscellaneous
-Personnel data - If the field type is changed, there is an error message, (Bug#17709 | category 3 - Medium)


Release 4.216.111 from 2022-01-12
=================================

Miscellaneous
-Plan : Subscription filters ->if over-subscriptions are selected, they are all issued. (Bug#17648 | category 3 - Medium)


Release 4.216.109 from 2022-01-11
=================================

thea.dispo
+Activity fields can be assigned to plant types/divisions in which they are displayed. (Feature#17377)
+CastConverter: Trips can be spent (Feature#17672)
+Daily schedule: An "f." is also issued in the rehearsal sections for the line-ups starting with the rehearsal (Feature#17703)


Release 4.216.108 from 2022-01-06
=================================

thea.perso
-Contact Calendar -> delete layers fails. (Bug#17698 | category 3 - Medium)


Release 4.216.101 from 2022-01-03
=================================

thea.dispo
+Separate authorizations can be assigned for the scenario (Feature#17540)
+BasicCastConverter: The occupation position/rank can be output (Feature#17676)

thea.perso
+Working hours from occupations: The creditable working time can be increased per day worked (Feature#17619)
+Monthly total report: Transfers and payouts are summed up in separate lines. (Feature#17638)
-Workshops -Ma50 does not evaluate MA25 -Setting is ignored (Bug#17684 | category 3 - Medium)

thea.orchester
+Orchestra services with sick on average: When is the cut with "krankdienten" smaller? (Feature#17656)

Miscellaneous
+"Fields" can contain HTML content (Feature#17581)
+"Fields" the "processing data" (last/user) can be displayed (Feature#17585)
-Delete contracts - Daily allowances are not deleted. (Bug#17691 | category 3 - Medium)

thea.staff
+Master data: "Roles" can be created for measures (Feature#17348)
+Action roles can be assigned per contract (Feature#17352)
+The categories of measures can be extended (Feature#17357)
+Priority can be managed for action type, priorities can be assigned to action types (Feature#17361)
+For each type of measure, the costs, one institution, one duration and "Internal/External" can be assigned (Feature#17365)
+Attachments (documents) can be stored for each measure carried out (Feature#17373)
+Contract search: It can be filtered by action roles and measures (Feature#17381)
+Contract Search: Function for adding contracts to action roles (Feature#17386)
+A standard action role can be defined for each work area. (Feature#17390)


Release 4.216.100 from 2021-12-15
=================================

thea.dispo
+Cast field Filter > "Output only if not Standard" does not output casts that are "Optional", i.e. "not mandatory" (Feature#17631)

thea.perso
-Roster > Team Plan: Changes are not applied (Bug#17635 | category 3 - Medium)


Release 4.215.127 from 2021-12-22
=================================

thea.perso
-Roster: With drag &drop, no activities can be assigned without tasks. (Bug#17655 | category 3 - Medium)

Miscellaneous
-Recreate checkout order -> Absences are not recalculated, but deleted (Bug#17637 | category 3 - Medium)
-In their own reports, time account values are duplicated. (Bug#17667 | category 3 - Medium)


Release 4.215.124 from 2021-12-08
=================================

Miscellaneous
-Check dialog cannot be confirmed if there is only information. (Bug#17550 | category 3 - Medium)
-Time accounts month -> A manual monthly value can be written. (Bug#17626 | category 3 - Medium)
-Choir billing: If the values for the daily fee come from a billing rule, 0 is returned. (Bug#17627 | category 3 - Medium)


Release 4.215.123 from 2021-12-08
=================================

Miscellaneous
-Contact Calendar: Services -> NullreferenceException when scrolling through with the keyboard (Bug#17615 | category 3 - Medium)

thea.perso (web)
+Thea.Web personally: It's a view with the service times are available. (Feature#13219)


Release 4.215.122 from 2021-12-02
=================================

thea.perso
-Roster: With "Target working time from working time model", no actual hours are credited for absences (Bug#17602 | category 3 - Medium)
-Allowance report: Only integer values are output. (Bug#17614 | category 3 - Medium)


Release 4.215.121 from 2021-11-30
=================================

thea.perso
-Contacts >calendar: Services cannot be written from ShortCuts. (Bug#17600 | category 3 - Medium)

Miscellaneous
+Contract types: Working hours and services have a time reference. (Feature#17609)


Release 4.215.120 from 2021-11-25
=================================

thea.dispo
-Daily schedule: For rehearsal sections that only result from the staffing times (not created) we are not output "to" (Bug#17599 | category 3 - Medium)

Miscellaneous
-Audition (field data) is not always stored. (Bug#17598 | category 3 - Medium)
-NAZ distribution: If a column is managed more than once, the month value is not written correctly. (Bug#17601 | category 3 - Medium)


Release 4.215.119 from 2021-11-22
=================================

thea.perso
-Duty schedule: Settings (totals, etc.) are only saved when the settings dialog has been opened (Bug#17596 | category 3 - Medium)


Release 4.215.117 from 2021-11-18
=================================

thea.export
-Export: The export format of times depends on the OS (Bug#17592 | category 4 - Low)


Release 4.215.116 from 2021-11-17
=================================

thea.dispo
-Address plan > productions: "Replacement occupations are also issued" (Bug#17575 | category 3 - Medium)

thea.perso
-Demand planning: No qualifications can be entered (Bug#17574 | category 3 - Medium)

Miscellaneous
-Repeat formula: The display of normal working time returns the wrong result (Bug#17551 | category 3 - Medium)
-Document template >Pdf files cannot be edited (Bug#17576 | category 3 - Medium)
-Contacts > Calendar: An error message appears when entering allowances (Bug#17590 | category 3 - Medium)


Release 4.215.114 from 2021-11-15
=================================

thea.costume
+Costumes: For orders, the items to be ordered can be selected (Feature#17520)


Release 4.215.112 from 2021-11-12
=================================

Miscellaneous
-Send business cards: NullReferenceException (Bug#17572 | category 3 - Medium)


Release 4.215.110 from 2021-11-11
=================================

thea.dispo
+Tour -> Permissions can be assigned to file attachments and the addition of people. (Feature#17303)
+Contacts >Calendar >: A column displays the absences. (Feature#17307)
+Production process with casts (Feature#17413)

thea.perso
+Absence planning: In printing and planning, the total working time can be spent. (Feature#17229)
+Contracts: The holiday entitlement and the days off take into account "deviating working hours" (Feature#17250)
+Report > time accounts per month: Multiple time accounts can be issued (Feature#17316)
+Roster printing: Employees without services can be excluded from printing- (Feature#17324)
+Roster: The qualifications can be displayed in production colors and in a separate line (Feature#17336)
+Contracts: Different break rules can be stored per contract (Feature#17453)

Miscellaneous
+Roster: A standard font color can be set and output for each daily note category. (Feature#17320)
+Cost object times: A remark can be entered for each service time assignment to cost objects. (Feature#17328)
+Personnel requirements planning -> production qualifications: Filter by premieres / view extended. (Feature#17332)
+Contacts: The permissions for reading and writing address and communication data can be managed separately. (Feature#17488)

thea.costume
+All costumes of a person can be searched. (Feature#17462)

thea.export
+Game plan export -> connection test: For FTP connections there is now a log and the possibility to collect debug information. (Feature#17440)

thea.mask
+Mask parts can be managed in the Mask module. (Feature#17466)

thea.web
-thea-web-core: If "PublicAccess" is disabled for the WCF service, "Log in as a guest" is still offered. (Bug#17460 | category 3 - Medium)


Release 4.215.107 from 2021-11-09
=================================

Miscellaneous
-vCard Export: Contact data is not displayed correctly, and is output twice in the preview (Bug#17536 | category 3 - Medium)


Release 4.215.105 from 2021-11-05
=================================

Miscellaneous
-Activity details: The remark long field is not displayed (Bug#17539 | category 3 - Medium)


Release 4.215.101 from 2021-11-02
=================================

thea.dispo
-Cast Pro Production >Print: The parts of multi-part evenings are printed in a different order. (Bug#17525 | category 3 - Medium)

Miscellaneous
-Occupation in countdown activity several times after reshuffling (Bug#17517 | category 3 - Medium)
-Production fields: Production fields that you want to display on page 1 are also displayed for activities on page 1. (Bug#17530 | category 3 - Medium)


Release 4.214.118 from 2021-10-21
=================================

thea.perso
-Layers: The Id is displayed in the column of time accounts (Bug#17515 | category 3 - Medium)

thea.orchester
-Roster (occupations): If formulas from thea.perso are assigned, an error occurs, formula changes are not saved (Bug#17514 | category 3 - Medium)

thea.chor
-Roster (occupations): If formulas from thea.perso are assigned, an error occurs, formula changes are not saved (Bug#17514 | category 3 - Medium)

Miscellaneous
-Demand planning: New tasks get non-editable owner (id.0) (Bug#17496 | category 3 - Medium)
-Working time model does not plan colors from shift (Bug#17497 | category 3 - Medium)
-Master data: In layers, the selection for accounts is deactivated. (Bug#17499 | category 3 - Medium)
-Rapport: Working time distribution rules-> roster change spends one hour too much. (Bug#17512 | category 3 - Medium)


Release 4.214.117 from 2021-10-13
=================================

Miscellaneous
-Roster: Working time more calculates the hours of the additional shifts twice (Bug#17485 | category 3 - Medium)


Release 4.214.116 from 2021-10-12
=================================

Miscellaneous
-Appointment letter: Filter on contact areas only takes the first contact area. (Bug#17479 | category 3 - Medium)


Release 4.214.113 from 2021-10-06
=================================

thea.dispo
-Plan -> One line per day: A production plan whose time period is limited to that of the activities does not include the activities of underproduction. (Bug#17404 | category 3 - Medium)

thea.perso
-Duty roster -> cost object assignment: If the department has the option "Task time from service time" set, then only the hours of the first shift are taken into account when using #. (Bug#17461 | category 3 - Medium)


Release 4.214.112 from 2021-10-06
=================================

Miscellaneous
-Error in the Presentation Budget report (Bug#17459 | category 3 - Medium)


Release 4.214.110 from 2021-10-05
=================================

Miscellaneous
+Overdraft mask: There are new keyboard shortcuts in the overdraft mask. (Feature#17221)
-Billing Rules -> Rule settings are no longer customizable. (Bug#17449 | category 3 - Medium)
-Open Master Data -> Orchestra (Bug#17451 | category 3 - Medium)


Release 4.214.109 from 2021-10-04
=================================

Miscellaneous
-Contracts: When you change scopes, the work report filter is not updated. (Bug#17430 | category 3 - Medium)
-Accounts: AZ Distribution Rules formula - The roster change rule returns too few roster changes for split shifts. (Bug#17433 | category 3 - Medium)
-Rapport - Allowances without roster entry are not issued. (Bug#17434 | category 3 - Medium)
-Az Distribution Rules account -> rule Roster change allowance does not count hours after midnight. (Bug#17435 | category 3 - Medium)

thea.web
-thea.web: In order for users to change their password, the WCF user needs elevated privileges on the database. (Bug#17437 | category 3 - Medium)


Release 4.214.106 from 2021-09-29
=================================

Miscellaneous
-Employees/Contacts -> Calendar: Entries from the 4th standard cast are not output. (Bug#17428 | category 3 - Medium)
-Plans: When editing columns, a NullReferenceException may occur if the field has settings. (e.B. dateinfo.period). (Bug#17436 | category 3 - Medium)
 Versions 4.214.x are affected


Release 4.214.105 from 2021-09-27
=================================

thea.perso
+Duty roster -> printing: Using StatusChangeFullUserNames you can now output the name of the user who last changed the status. (Feature#17422)
-Leave request: The RemainingCreditTotal field deducts the days from the leave request twice. (Bug#17427 | category 3 - Medium)


Release 4.214.104 from 2021-09-23
=================================

thea.perso
-Contacts: The personnel number is not saved if the contact is opened from the roster. (Bug#17176 | category 3 - Medium)

Miscellaneous
-Merge contacts: If both contacts have the same qualification associated with them, merging fails. (Bug#17411 | category 3 - Medium)

thea.transfer
-Cash register order export -> SEPA : The input option for the formats of the "Purpose of use" and the "End to end ID" are not available on the settings dialog. (Bug#17417 | category 3 - Medium)


Release 4.214.103 from 2021-09-22
=================================

Miscellaneous
-Roster header with personnel requirements: The task area is not only output for "special" tasks. (Bug#17410 | category 3 - Medium)


Release 4.214.102 from 2021-09-22
=================================

Miscellaneous
-Roster Occupations: NullReferenceException (Bug#17408 | category 3 - Medium)

thea.export
-Export -> XML-Exports: If a scene cast is defined in an activity, with 2 different standard casts for the same scene, then an exception occurs during the export. (Bug#17409 | category 3 - Medium)


Release 4.214.100 from 2021-09-20
=================================

thea.dispo
+Absence planning: A week can be specified for which the day off was given. (Feature#17023)
+Standard cast: The option Standard occupation per playing time can be set per group of owners (Feature#17225)
-Reports -> fees per contract: In the case of multi-parters, lump sums are issued several times, per part. (Bug#17296 | category 3 - Medium)

thea.perso
+Roster: A settings dialog for the view settings can be opened from the roster. (Feature#16601)
+Demand planning/standard staffing: Technical tasks can be assigned to task areas. (Feature#17256)

thea.orchester
+Orchestrad Dispo: The required special instruments are displayed in a tooltip. (Feature#17016)
+Orchestral dispatch: The display of the instruments required for an activity takes into account assigned works and can be overwritten per activity (Feature#17204)

thea.chor
+Standard cast: The option Standard occupation per playing time can be set per group of owners (Feature#17225)

Miscellaneous
+Orchestra overdraft facility: If activities contain only parts of the program (a content is indicated), the needs of the works are spent. (Feature#17171)
+Roster - Enter allowances: When entering, the default value is taken into account. (Feature#17185)
+Roster printing: Instead of the print name, the name for a layer can be output. (Feature#17208)
+Billing rules: The short name has been extended (10->20), and is now displayed for selection (Feature#17212)
+The categories of the task pane can be expanded. (Feature#17216)
-Roster print: "Heading to header" (Bug#17194 | category 4 - Low)
-Overdraft facility: Copy&paste is not possible with keyboard shortcuts (Bug#17220 | category 3 - Medium)
-Contract export: The contract type filter "Guests - without contract" does not work. (Bug#17239 | category 3 - Medium)
 To fix the error, the export settings must be opened and saved again.
-Production plan: The duration field does not work with the suggested formatting h/:mm (Bug#17294 | category 3 - Medium)
-Automatically occupy does not delete old occupation if new occupation is prevented. (Bug#17401 | category 3 - Medium)


Release 4.213.129 from 2021-09-10
=================================

thea.perso
-Roster -> Shift: Shifts that start before midnight and end after midnight are no longer displayed in Move End. (Bug#17385 | category 3 - Medium)
-Rapport: For accounts with the formula "Free Days Change Target/Actual Plan", no value is calculated anymore. (Bug#17394 | category 3 - Medium)

Miscellaneous
-Employees/Contacts -> contact filter: In the department filter, the contract filter does not take into account the selected department or workspace. (Bug#17297 | category 3 - Medium)
-Export: Cannot be filtered after the pre-sale start (Bug#17315 | category 3 - Medium)


Release 4.213.128 from 2021-09-03
=================================

thea.dispo
-Productions: With the new roles, the default cast of the role is loaded with ID 0. (Bug#17295 | category 3 - Medium)

thea.perso
-Roster: When changing departments, an IndexOutOfRangeException may occur when switching between departments with different time period and layout settings. (Bug#17292 | category 3 - Medium)


Release 4.213.126 from 2021-08-23
=================================

thea.dispo
-Production -> Activities Printing: If the option "Open created documents as a new document" is disabled, an ApplicationException with error 12290 may occur. (Bug#17275 | category 3 - Medium)

thea.perso
-Monthly report crashes when rapport is used without rapport columns. (Bug#17286 | category 3 - Medium)

Miscellaneous
-Grade rental: Not all properties have been applied, no properties can be displayed in the details window. (Bug#17285 | category 3 - Medium)


Release 4.213.125 from 2021-08-11
=================================

Miscellaneous
-GetBestMatchingContract also assigns cancelled contracts. (Bug#17249 | category 3 - Medium)
-Employee calendar: If you filter by contract and no department is assigned to the contract, no staffing is displayed. (Bug#17261 | category 3 - Medium)
-Cast sheet: The activities cannot be filtered by the rank of the standard cast specified in the content (Bug#17274 | category 3 - Medium)


Release 4.213.124 from 2021-08-02
=================================

Miscellaneous
-Contacts: Public attachments (e.B. profile pictures) are no longer displayed without permission. (Bug#17248 | category 3 - Medium)


Release 4.213.123 from 2021-07-23
=================================

thea.orchester
-Master data -> instruments: If the status of an instrument has been set, then there is an InvalidCastException for the display. (Bug#17244 | category 3 - Medium)
-Instrument Management: A SQL exception occurs when using the Service/Private Instrument or Lent Outside filter. (Bug#17245 | category 3 - Medium)
-Instrument management: The "Unequally insured" filter disables the "Inactive" filter. (Bug#17246 | category 3 - Medium)

Miscellaneous
-Productions: When assigning the works, SqlException occurs if you do not have write rights to the production. (Bug#17242 | category 3 - Medium)

thea.statisterie
-Master data -> formula settings: The column "Formula" is not visible. (Bug#17243 | category 3 - Medium)


Release 4.213.122 from 2021-07-21
=================================

Miscellaneous
-Countdowns/Personnel Requirements: When switching to the Daily Tasks tab, an InvalidCastException occurs. (Bug#17241 | category 3 - Medium)


Release 4.213.121 from 2021-07-19
=================================

Miscellaneous
-Contacts: When switching between qualifications, there is a NullReferenceException if you do not have thea.staff. (Bug#17237 | category 3 - Medium)


Release 4.213.120 from 2021-07-15
=================================

thea.perso
-Roster: The undo function no longer has any effect. (Bug#17233 | category 3 - Medium)
-Countdown and personnel requirements: For the tasks, the set-up time/follow-up is no longer saved. (Bug#17234 | category 3 - Medium)

Miscellaneous
-The update log is no longer described. (Bug#17235 | category 3 - Medium)


Release 4.213.119 from 2021-07-06
=================================

Miscellaneous
-Roster/payer times: The shortcut "#" does not calculate the remaining hours. (Bug#17196 | category 3 - Medium)

thea.transfer
-SQL script: When updating to 4.213.x, the settings of the CSV exports of the cash register orders are not migrated. (Bug#17198 | category 3 - Medium)


Release 4.213.117 from 2021-06-30
=================================

thea.works
-thea.works: Opening the context menu for a task may result in a NullReferenceException. (Bug#17181 | category 3 - Medium)
-thea.works: If there is an absence in the 1st layer, it is automatically overwritten by a presence layer when a task is assigned to the tag. (Bug#17182 | category 3 - Medium)
-thea.works: When dragging tasks onto a layer, the layer is not assigned to the task. (Bug#17183 | category 3 - Medium)
-thea.works: Follow-up times of activity tasks are not always taken into account. (Bug#17184 | category 3 - Medium)


Release 4.213.116 from 2021-06-30
=================================

thea.chor
-Productions -> department: When creating a role, a NullReferenceException occurs. (Bug#17177 | category 3 - Medium)

Miscellaneous
-Orchestra instrumentation: NullReferenceException when opened. (Bug#17179 | category 3 - Medium)

thea.works
-thea.works: Changed/added layers in shift detail view are not immediately displayed in thea.works. (Bug#16318 | category 3 - Medium)
-thea.works: If an already assigned timed task is deferred to another person, there may be a "Time>From Time Message". (Bug#16936 | category 3 - Medium)


Release 4.213.115 from 2021-06-28
=================================

thea.perso
-Roster share: When the email is created, a NullReferenceException occurs if the initial state is "no state." (Bug#17167 | category 3 - Medium)
-Activity Details -> Tasks: Opening the People Picker in the Busy People pane results in an ApplicationException (Filter Required). (Bug#17169 | category 3 - Medium)

Miscellaneous
-Copy production with cast fails (Bug#17170 | category 3 - Medium)

thea.works
-theaWorks: The output shows only an empty document or a NullReferenceException occurs when outputting to Word/Excel. (Bug#17168 | category 3 - Medium)


Release 4.213.114 from 2021-06-24
=================================

Miscellaneous
-Working time (further): The combination of the settings "Credit at least contractual AZ" and "Credit at least minutes" is not defined. (Bug#17165 | category 3 - Medium)


Release 4.213.113 from 2021-06-23
=================================

Miscellaneous
-When starting, the error message comes because the file "C.\temp\debug.txt" cannot be created. (Bug#17164 | category 3 - Medium)


Release 4.213.111 from 2021-06-21
=================================

Miscellaneous
-Productions: Automatically occupied collectives are occupied with the group position 0 (Bug#17163 | category 3 - Medium)


Release 4.213.103 from 2021-06-16
=================================

Miscellaneous
-Work management: Casts -> If the roles are created from the task areas, the last one is displayed twice. (Bug#17153 | category 3 - Medium)


Release 4.213.102 from 2021-06-16
=================================

thea.dispo
+Dispo: to lock/unlock of a performance, also the associated Countdownaktivitäten be locked / unlocked. (Feature#14147)
+For holidays , "with" or "without" certificate can be specified. (Feature#14833)
+Formula Settings: Compensation periods can be specified for the Absences formula. (Feature#14860)
+The "Dispo Reports" -> "Service Statistics" is also available in thea.dispo. (Feature#14864)
+Absence planning: Weeks without occupation-free days are marked. (Feature#14898)
+Productions: Production fields can be displayed on the "Basic Data" page. (Feature#16728)
+Appointment letters can be sent as serial e-mail. (Feature#16743)
+Productions: For production documents, permissions can be managed through an "owner". (Feature#16883)
+Contacts: For persons involved in a cooperation, the cooperations are displayed in the annual calendar. (Feature#16907)
+Production >Standard occupations: Mask times can be stored for role groups per item. (Feature#17086)

thea.perso
+Absence planning: The sums have a ToolTip the ToolTip from the roster now, similar to. (Feature#13504)
+Roster: Improved the collectively agreed "Maximum working time in 24 hours" check. (Feature#14582)
+Roster: Entries that disable "Determine Eligible Holidays" are now also highlighted with the hand icon. (Feature#16914)
+Roster: A dialog for setting the release status is available for several departments at the same time. (Feature#17074)

thea.orchester
+For holidays , "with" or "without" certificate can be specified. (Feature#14833)
+Absence planning: Weeks without occupation-free days are marked. (Feature#14898)

thea.chor
+For holidays , "with" or "without" certificate can be specified. (Feature#14833)
+Absence planning: Weeks without occupation-free days are marked. (Feature#14898)

Miscellaneous
+There is a feature to the send attachments available. (Feature#14169)
+User management: Setting permissions now supports multiple selections. (Feature#14425)
+Attachments: Attachments in PDF Word/Excel format also display a preview. (Feature#14554)
+Time accounts per month: In the detailed view, the creation and editing date/user can be seen. (Feature#14558)
+Formula NAZ Distribution: The "Overtime for part-time work" rule can also handle a two-week rhythm. (Feature#14700)
+Dispo: Rule for days off (whole half). (Feature#14705)
+There is now a "reminder" function for people, activities, occupations and contracts. (Feature#14709)
+Plan -> On/Absences: A template for in/out of time and occupations is available. (Feature#14718)
+Plans: Information about the scheduled tasks of an activity can now be output. (Feature#14735)
+Report formula: In the function to convert working hours into services, it can be specified that on certain holidays the duplicate services are to be calculated. (Public service). (Feature#14780)
+In the choir evening line-up, the 3rd and other standard choir ensembles are presented differently in color. (Feature#14782)
+In Absence Planning, totals can also be displayed for artistic areas. (Feature#14839)
+Formula settings can now also be stored in the MRP area. (Feature#14843)
+The Absences formula can also be filtered to time accounts. (Feature#14851)
+Absence planning: Years and seasons can be selected. (Feature#14902)
+Absence planning: Unoccupied appointments of the default staff can be displayed. (Feature#14918)
+Absence planning: It can be filtered by workspaces. (Feature#14924)
+Time accounts -> "Calculation. Pay per day": A setting for rounding the result value is available. (Feature#14941)
+For arts personnel, work hours that are not included in the schedule can also be recorded. (Feature#16579)
+Custom fields can be displayed as a link. (Feature#16732)
+E-mail Shipping (e.B. for serial e-mail): You can select and insert mail merge fields. (Feature#16739)
+A module is available for the management of training, instruction and occupational health care. -> SUaV. (Feature#16759)
+Master data > activity types/task areas: The cast rules can be set in all artistic modules. (Feature#16788)
+Web Calendar: A format with placeholders can now be stored for the subject and for the description. (Feature#16794)
+Working hours from occupations: A preparation time/post-processing time can be stored for each activity type/task area. (Feature#16831)
+In order to form the daily fee from the monthly fee, a factor can be deposited. (Feature#16835)
+Rapport > Orchestra: Let Them Spend Monthly Overservices. (Feature#16843)
+Fees per contract: The fees for vacant roles can also be spent on the basis of the role group size number or standard occupation. (Feature#16847)
+Authorization Management/Service Plan: A permission is available for manually editing the target working time. (Feature#16865)
+Presentation budget: The cost object can be spent on non-presentation costs. (Feature#16875)
+Productions: Partners can be deposited for co-productions. (Feature#16879)
+Productions: The collaborations and resource periods can be displayed. (Feature#16887)
+Cooperations: Not only the activities of the external stage can be assigned to a cooperation (option display all activities). (Feature#16895)
+Productions >Checklists: When adding multiple checklists, they are inserted into a new range of numbers. (Feature#16925)
+Contract search: A column with the current weekly working time and the work percentages is available. (Feature#16941)
+Tour: A tour can also be assigned a contact without a contract. (Feature#16977)
+Orchestral cast: There is an option to print the role comment. (Feature#16986)
+Roster (occupations): Failed activities can be filtered out. (Feature#17027)
+E-mail Delivery (e.B. for series e-mail): There is a preview function. (Feature#17032)
+Leave application: Creation of a field for the issue of the leave available until the end of the final period (year). (Feature#17045)
+Appointment letters sent by e-mail can now include additional attachments. (Feature#17090)
+E-mail (e.B. for serial e-mail): Attachments to be filled in as a template can now optionally be converted to a PDF. (Options for each appendix). (Feature#17094)
+Evaluation: Create people in game time. (Feature#17103)
+Contract pressure: A converter allows the roles of all casts to be output. (Feature#17133)
+A converter for the roller allowances is available. (Feature#17137)
+Contacts: It can be specified a company and the pressure of the position. (Feature#17142)
-Roster: Sql exception for evaluation time account formula. (Bug#17156 | category 3 - Medium)

thea.ballett
+For holidays , "with" or "without" certificate can be specified. (Feature#14833)
+Production >Standard occupations: Mask times can be stored for role groups per item. (Feature#17086)

thea.export
+Game plan export: In the exports CSV (from 1.9) and XML (from 9) the default casts can now be limited (e.g. only the 1st standard cast). (Feature#14937)

thea.order
+thea.order: Orders can be exported in local currency. (Feature#16937)

thea.project
+Project plan: A default sort for tasks can be specified. An Hr owner group can be specified. Multiple productions can be selected. (Feature#17114)

thea.statisterie
+Roster (occupations): The times of the occupations can also be displayed. (Feature#16667)

thea.transfer
+Cash arrangement (thea.perso): The shift notes are now included in the note of the items. (Feature#16815)
+Cash orders: Cash orders can now be exported to a SEPA payment file. (Feature#17041)


Release 4.212.135 from 2021-06-08
=================================

thea.perso
-Report - Roster change spends too many hours. (Bug#17112 | category 3 - Medium)

thea.orchester
-Production -> standard instrumentation: "Create orchestral instrumentation from program" does not work if "Based on work" is selected in the production. (Bug#17129 | category 3 - Medium)

Miscellaneous
-Address plan: Grouping by contact category is no longer possible. (Bug#17147 | category 3 - Medium)
-Workforcecalulation: NullReferenceException -> Workforcesetting missing. (Bug#17149 | category 3 - Medium)
-Cast > fees/billing Allowances (after productions): The fees are not displayed for multi-parters. (Bug#17150 | category 3 - Medium)


Release 4.212.134 from 2021-06-02
=================================

thea.perso
-Roster -> Warnings: Calculating the sum for accounts with the "Limits of working time" formula causes an InvalidOperationException. (Bug#17131 | category 3 - Medium)

Miscellaneous
-Orders: Export of amounts in local currency > Some fields cannot be exported. (Bug#17146 | category 3 - Medium)


Release 4.212.133 from 2021-05-26
=================================

thea.perso
-Roster > Columns: The summary days calculation is incorrect if no weekday filter is specified. (Bug#17124 | category 3 - Medium)
-Roster > Columns: Totals for accounts with the Formula TBZ calculate incorrectly if no weekday filter is specified. (Bug#17125 | category 3 - Medium)

thea.export
-Export -> file transfer: The input for the proxy password displays the password in clear text. (Bug#17123 | category 3 - Medium)

thea.order
-Orders: For new orders, a message is sent that the attachments could not be loaded. (Bug#17122 | category 3 - Medium)


Release 4.212.131 from 2021-05-21
=================================

thea.perso
-Roster: If a non-existent work type is filtered in the game plan filter, a NullReferenceException occurs. (Bug#17108 | category 3 - Medium)
-Roster > Columns: Calculate totals for accounts using the Formula TBZ incorrectly. (Bug#17113 | category 3 - Medium)

Miscellaneous
-Productions: The work cannot be assigned for reading rights and flag "Can assign works". (Bug#17118 | category 3 - Medium)


Release 4.212.129 from 2021-05-18
=================================

Miscellaneous
-You cannot filter by contact areas in the appointment letter. (Bug#17099 | category 3 - Medium)
-Report: Columns with accounts in the Free Days per Month formula have a NullReferenceException. (Bug#17100 | category 3 - Medium)


Release 4.212.128 from 2021-05-10
=================================

Miscellaneous
-Productions >Guest performances/cooperations: When viewing the Calendar page, an error occurs without the "Change pre-sale" right when production resources are assigned. (Bug#17073 | category 3 - Medium)


Release 4.212.127 from 2021-05-07
=================================

Miscellaneous
-Roster >"Reschedule Layers": The Move End action fails if the new end is before the start time (following day). (Bug#17054 | category 3 - Medium)


Release 4.212.126 from 2021-05-06
=================================

thea.perso
-Roster Share: The roster entries are no longer copied. (Bug#17037 | category 3 - Medium)
 Only 4.212.x releases are affected.
-Schedule -> Copy to Planning Variant: No more entries are copied. (Bug#17038 | category 3 - Medium)
 Only 4.212.x releases are affected.
-Roster > end of the week: The roster entries are no longer copied into the debit copy. (Bug#17039 | category 2 - High)
 Only 4.212.x releases are affected.
-Report: Accounts with the formula "Free days in week" no longer calculate the values correctly. (Bug#17053 | category 3 - Medium)

Miscellaneous
-Daily schedule: A value is output for the long comment, even if the long comment of the activity is empty. (Bug#17040 | category 3 - Medium)


Release 4.212.124 from 2021-05-05
=================================

thea.orchester
-Employee/Contacts -> Qualifications: After entering a new qualification, a nullreferenceexception occurs when you change rows. (Bug#17031 | category 3 - Medium)


Release 4.212.119 from 2021-05-01
=================================

Miscellaneous
-Project planning > Re-energise window change errors and send them to DVX. (Bug#16969 | category 3 - Medium)


Release 4.212.118 from 2021-04-30
=================================

Miscellaneous
-Contracts -> contract documents: For new contract documents, the error message comes that the AttachmentService may not have permission. (Bug#17015 | category 4 - Low)


Release 4.212.117 from 2021-04-29
=================================

Miscellaneous
-Person >Calendar: Unoccupied samples are displayed only if people and role owners match. (Bug#17014 | category 3 - Medium)


Release 4.212.116 from 2021-04-28
=================================

Miscellaneous
-Plan > "Occupations / Absences": When grouping by person, they are not sorted alphabetically. (Bug#17011 | category 3 - Medium)


Release 4.212.115 from 2021-04-27
=================================

thea.perso
-Roster > Compare with/Print with Roster Comparison: If there is no entry in the other plan, there is a NullReferenceException. (Bug#17004 | category 3 - Medium)
-Roster > Columns: Columns for accounts with the Formula TBZ have a SqlException. (Bug#17006 | category 3 - Medium)
 Only 4.212.x releases are affected.
-Roster -> columns: The total for monthly hours is calculated incorrectly if it is to be calculated from the scheduled hours. (Bug#17007 | category 3 - Medium)
 Only 4.212.x releases are affected.
-Schedule > Column: The sum for Monthly Working Time can throw an exception if there are no employees in the department in the current period. (Bug#17008 | category 3 - Medium)
 Only 4.212.x releases are affected.

Miscellaneous
-User management: Reset password sets incorrect password. (Bug#17002 | category 3 - Medium)
-Plant management: If several versions of a plant exist, the game time selection is left blank on the production page. (Bug#17003 | category 3 - Medium)


Release 4.212.114 from 2021-04-22
=================================

thea.perso
-Roster printing: For departments with comments per shift, and the output of the comment on its own line, only the remark of the first shift is output. (Bug#16768 | category 4 - Low)
-Formula: Hours by day type returns minutes as the return value, instead of the number. (Bug#16999 | category 3 - Medium)
-Roster: Columns with the Formula Work in Period return only 0. (Bug#17000 | category 3 - Medium)
-Roster printing: For certain layout settings, the remark of the first shift is output multiple times. (Bug#17001 | category 3 - Medium)


Release 4.212.112 from 2021-04-21
=================================

thea.perso
-In the sum for free and vacation are unrealistic numbers, "Free" changes by the value 16.B. week to week. (Bug#16992 | category 3 - Medium)

Miscellaneous
-Project planning: If production tasks are reordered with dependencies, there may be an error during scheduling. (Bug#16997 | category 3 - Medium)
-Occupation per production: When setting or displaying the print status, it can lead to an error. (Bug#16998 | category 3 - Medium)


Release 4.212.111 from 2021-04-21
=================================

thea.perso
-Schedule -> recalculate working time: If there are no entries in the target plan, a NullReferenceException occurs. (Bug#16993 | category 3 - Medium)
-Roster > shift rescheduling: The dialog does not load properly and also throws exceptions when using it. (Bug#16996 | category 3 - Medium)


Release 4.212.110 from 2021-04-21
=================================

thea.dispo
-Activity Details: Parent activity is not displayed if it is a BO .B. (Bug#16990 | category 3 - Medium)

Miscellaneous
-Grade management: If the WCF service does not have enough permissions, no message is issued. (Bug#16655 | category 4 - Low)
-MRP: The text of a * piece cannot be changed (neither in the "Title" column, nor in the "Note" column), it must always be rewritten. (Bug#16972 | category 3 - Medium)
-Deleting project tasks with subtasks fails. (Bug#16985 | category 3 - Medium)


Release 4.212.109 from 2021-04-19
=================================

Miscellaneous
-Rapport: No working time is spent on artistic departments. (Bug#16983 | category 3 - Medium)


Release 4.212.107 from 2021-04-19
=================================

thea.dispo
-Copy Production: If there are press text fields with empty texts in the database, copying occurs with a SqlException. (Bug#16976 | category 3 - Medium)

Miscellaneous
-Employees/Contacts: When loading the attachments, a CommunicationObjectFaultedException occurs. (Bug#16981 | category 3 - Medium)
 Only 4,212.x releases are affected.


Release 4.212.105 from 2021-04-16
=================================

thea.perso
-Roster > Sum columns: For time accounts with the unit day, the SqlException "Incorrect syntax near the keyword 'AND'." occurs. (Bug#16974 | category 3 - Medium)
 Only 4.212.x releases are affected.

thea.orchester
-Disposition (occupations) - > column sums: When opened, a SqlException "Invalid Column 'DebitServicesCount' comes when there are contracts with "different working hours". (Bug#16973 | category 3 - Medium)
 Only 4.212.x releases are affected.

thea.chor
-Disposition (occupations) - > column sums: When opened, a SqlException "Invalid Column 'DebitServicesCount' comes when there are contracts with "different working hours". (Bug#16973 | category 3 - Medium)
 Only 4.212.x releases are affected.


Release 4.212.104 from 2021-04-16
=================================

Miscellaneous
-Roster > Columns: For overtime, the SqlException "SqlDateTime Overflow" occurs when the presentation is calculated entirely over monthly entries. (Bug#16975 | category 3 - Medium)
 Only 4.212.x releases are affected.


Release 4.212.102 from 2021-04-15
=================================

Miscellaneous
+The possible "genders/types" of the sanots have been expanded (divers, company, family). (Feature#16945)


Release 4.211.121 from 2021-04-06
=================================

thea.perso
-Employees/Contacts > Calendar: The Services (thea.perso) view does not save the setting for the shifts to display. (Bug#16911 | category 3 - Medium)

Miscellaneous
-Plan: Plantype Occupations and Absences > Output to Excel ignores the column width of the first column. (Bug#16737 | category 4 - Low)
-Master data > workspaces cannot be merged if they have been added to plant occupations. (Bug#16912 | category 3 - Medium)
-MRP: The Activity Status filter is not saved. (Bug#16919 | category 3 - Medium)
-Address plan export: Export via FTP fails. (Bug#16922 | category 3 - Medium)
-Plan: Production cannot be changed for production plans of the planned type one line Per activity (filter to production only). (Bug#16929 | category 3 - Medium)
-Report: No lectures are displayed for the formula "Yearly (hours)". (Bug#16933 | category 3 - Medium)


Release 4.211.120 from 2021-03-18
=================================

Miscellaneous
-Audition: The input mask is not locked for non-write users. (Bug#16851 | category 3 - Medium)
-Dispo - The collective column does not filter on casts from the currently selected variant. (Bug#16857 | category 3 - Medium)

thea.contact
-Contact search: When loading or searching via a saved search filter, which contains additional features, a SqlException occurs. (Bug#16869 | category 3 - Medium)
-Contact search: When loading or searching via a saved search filter, which contains several alternative search criteria, a SqlException occurs. (Bug#16870 | category 3 - Medium)


Release 4.211.119 from 2021-03-17
=================================

thea.dispo
-Dispo reports -> dates for production: At small resolutions, the stage selection is not visible. (Bug#16864 | category 3 - Medium)

Miscellaneous
-Automatic target working time distribution also affects times with scheduled work from model. (Bug#16771 | category 3 - Medium)
-Contacts: When deleting contact data (e.B. e-mail), an error message occurs that 256 cannot be saved for the position. (Bug#16860 | category 3 - Medium)
-Contacts: The detailed view of the contact information (e.B. e-mail) cannot be opened if the position is greater than 100. (Bug#16861 | category 3 - Medium)


Release 4.211.118 from 2021-03-16
=================================

thea.dispo
-Roster: When you open the cost objects for a tag, there is a NullReferenceException when a shift is associated with an activity, without cost objects. (Bug#16856 | category 3 - Medium)

Miscellaneous
-Roster (occupations) - > orchestral instrumentation list: In the created document, only the header is filled in, the table with the data is not output. (Bug#16862 | category 3 - Medium)
-Works management >When selecting composers, the ID is briefly displayed instead of the name. (Bug#16863 | category 3 - Medium)


Release 4.211.117 from 2021-03-11
=================================

thea.perso
-Roster: When the week-end window is closed (after a week's end), the program loses focus. (Bug#16829 | category 3 - Medium)

Miscellaneous
-Roster: For manual entered working hours, the target az is no longer calculated automatically. (Bug#16824 | category 3 - Medium)
-The database permissions for activity status and some other data are incorrect. (Bug#16830 | category 3 - Medium)
 All versions 4.211.x are affected


Release 4.211.116 from 2021-03-09
=================================

Miscellaneous
-Plan >Field Settings: If "Cancel" is pressed in the field positions, the settings for the field are reset. (Bug#16823 | category 3 - Medium)


Release 4.211.115 from 2021-03-09
=================================

thea.perso
-Roster: Applying working hours from target plan does not work with the 2nd shift. (Bug#16807 | category 3 - Medium)
-Roster: If you are sick from the target plan, the hours are calculated incorrectly if there are multiple shifts. (Bug#16820 | category 3 - Medium)
-Roster: In the cells where there is a time for a service, the wrong editor is loaded. (Bug#16821 | category 3 - Medium)


Release 4.211.112 from 2021-03-02
=================================

thea.dispo
-Report (for MRP departments): If there is another occupation without duration in parallel with a cast, the calculated working time is incorrect if break rules are in place. (Bug#16814 | category 3 - Medium)

Miscellaneous
-Collaboration/Contacts: In the dialog to change the names, the company names are displayed for people, and vice versa. (Bug#16812 | category 3 - Medium)
-Plan -> One line per activity: The filter for subscriptions is not set correctly from the plan settings, 'Free sale' is additionally active. (Bug#16813 | category 3 - Medium)


Release 4.211.110 from 2021-02-25
=================================

Miscellaneous
-Roster > The time entry check over selection is not evaluated. (Bug#16804 | category 3 - Medium)
-Daily schedule: Sorting by mask times has no effect. (Bug#16805 | category 3 - Medium)

thea.export
-Schedule export: For the older CSV exports (version up to and including 1.7), "PersonId" is exported instead of "PersId". (Bug#16806 | category 3 - Medium)


Release 4.211.109 from 2021-02-23
=================================

Miscellaneous
-Expiration: The scenario is not displayed. (Bug#16801 | category 3 - Medium)


Release 4.211.108 from 2021-02-22
=================================

thea.dispo (web)
-Web Calendar: The content of the appointment text template is duplicated if the activity has no cast. (Bug#16792 | category 3 - Medium)


Release 4.211.107 from 2021-02-22
=================================

Miscellaneous
-Activity dialog: When saving, the "services" of the department are also stored, even if no different services have been entered. (Bug#16776 | category 3 - Medium)


Release 4.211.106 from 2021-02-19
=================================

thea.dispo
-MRP: When saving activities with subscriptions, a SqlException occurs. (Bug#16787 | category 3 - Medium)
 The error can also occur with other subscription features. Versions 4.211.103 and 4.211.105 are affected.

Miscellaneous
-Daily Hours: Combination "Exclude accounts" and "Consider times" set to meaningful behavior. "Working hours only" parameter is evaluated. (Bug#16786 | category 4 - Low)


Release 4.211.105 from 2021-02-17
=================================

Miscellaneous
-RolesDataConverter: If no delimiters are specified for performance dates, line breaks are no longer made. (Bug#16775 | category 3 - Medium)


Release 4.211.103 from 2021-02-16
=================================

thea.dispo
+The list of activity statuses can be managed. (Feature#16583)

Miscellaneous
+ActivityConverter: A converter is available for the content (sample section, contain works, etc.). (Feature#16504)
+Contacts: A separate permission option for call notes is available. (Feature#16549)
+Factory management: The footer shows the time and user of the last change/creation. (Feature#16567)
+Roster: A function has been created to copy rosters into instances. (Feature#16571)
+The password can be changed in Azure databases. (Feature#16597)
+Productions >Create: The selection of works has been improved. (Feature#16627)
+Works: Sets can be managed, sets can be transferred to the program. (Feature#16658)
+Contacts: Contacts can be assigned to multiple contact areas. (Feature#16675)
+Users can now be created, deleted, and renamed in Azure databases. (Feature#16683)
+Instrumentation per production: Without writing rights, the repertoire of roles is displayed deactivated. (Feature#16691)
+Report from occupations: Break rules can be stored. (Feature#16697)

thea.export
+Schedule export: Uploading to FTP Server with TLS 1.2 is now supported. (Feature#16671)
+Schedule Export: Uploading to SFTP Server is now supported. (Feature#16711)


Release 4.206.130 from 2021-02-15
=================================

thea.perso
+Roster: When mapping tasks to services by drag and drop, overlapping shifts are now assigned preferentially. (Feature#16764)
-Roster: When scheduling a shift with the mouse, the remark of the shift is not taken over. (Bug#16748 | category 3 - Medium)
-Roster: If a shift is removed due to time overlap, "Working time" stops in the shift. (Bug#16751 | category 3 - Medium)
-Roster: When a task is assigned to a non-existent shift in the detail view, an exception occurs when saving. (Bug#16752 | category 3 - Medium)
-Activity Details -> tasks: When assigning an employee to a task, a NullReferenceException occurs. (Bug#16758 | category 3 - Medium)
-Roster: When you show/hide layers, the tooltips are not updated. (Bug#16763 | category 4 - Low)


Release 4.206.129 from 2021-02-11
=================================

Miscellaneous
-Roster: Undo fails after scheduling a new shift. (Bug#16749 | category 3 - Medium)


Release 4.206.128 from 2021-02-10
=================================

Miscellaneous
-Merge Contacts: If a SqlException occurred during merging and you try it again, an InvalidOperationException occurs. (Bug#16665 | category 3 - Medium)
-Roster: Schedule a working time model does not schedule shifts by shift index. (Bug#16726 | category 3 - Medium)
-Contract: Failed to print. (Bug#16736 | category 3 - Medium)


Release 4.206.126 from 2021-02-04
=================================

Miscellaneous
-Roster: Automatic distribution of target working hours distributes 0 target working time to Monday with actual working time instead of Sunday with free. (Bug#16695 | category 3 - Medium)


Release 4.206.125 from 2021-02-03
=================================

Miscellaneous
-Monthly Closing - When several months are completed, the automatic transfer to foreign account is sumd over the months. (Bug#16657 | category 3 - Medium)


Release 4.206.123 from 2021-01-29
=================================

Miscellaneous
-Absences: If an absence is entered for a period for which there is no playing time, an error may occur. (Bug#16681 | category 3 - Medium)

thea.export
-Schedule export: For CSV Export 1.3 - 1.8, the ModuleGroupId column in modulegroups.csv no longer exists. (Bug#16689 | category 3 - Medium)


Release 4.206.122 from 2021-01-25
=================================

Miscellaneous
-Plan: If the subscription filter is displayed at execution time, the filter settings "All subscriptions to free sale" are not applied. (Bug#16680 | category 3 - Medium)


Release 4.206.120 from 2021-01-19
=================================

thea.dispo
-Productions -> standard cast: In the 2nd occupation, the "Reoccupy" dialog is displayed after a change. (Bug#16662 | category 3 - Medium)

Miscellaneous
-ProductionConverter: The WorkVersions list box also returns list items for scenes and files. (Bug#16664 | category 3 - Medium)
-Merge Contacts: If both contacts have values for the same personnel data fields, a SqlException occurs. (Bug#16666 | category 3 - Medium)


Release 4.206.118 from 2021-01-13
=================================

thea.dispo
-Contract pressure: When using contract dates, the roles.field returns the first contract role instead of the first role from the contract dates. (Bug#16638 | category 3 - Medium)

thea.perso
-Enter absence: The sick/holiday message is no longer opened. (Bug#16639 | category 3 - Medium)

Miscellaneous
+Productions/Scenario: The duration is taken from works and output without scenes. (Feature#16633)


Release 4.206.117 from 2021-01-13
=================================

Miscellaneous
-Contact Management: Permission check for contact details prevents contact details from being written if contact details are not yet available. (Bug#16631 | category 3 - Medium)


Release 4.206.116 from 2021-01-12
=================================

Miscellaneous
-Automatic update: When updating via a WCF service, file downloads sometimes have a TimeOutException. (Bug#16632 | category 3 - Medium)


Release 4.206.115 from 2021-01-11
=================================

thea.perso
-Roster: When inserting a shift with Ctrl+V, the rest time warning starts even though there are no rest periods. (Bug#16624 | category 3 - Medium)
-Roster: The Early Shift feature casts an InvalidOperationException. (Bug#16626 | category 3 - Medium)


Release 4.206.113 from 2021-01-08
=================================

Miscellaneous
-Roster: When you overschedule a shift with an absence shift, the times are preserved, only the account is changed. (Bug#16625 | category 3 - Medium)


Release 4.206.112 from 2021-01-08
=================================

Miscellaneous
-When you start the application, you receive the error message "Method not found: '!! 0[] System.Array.Empty()'". (Bug#16623 | category 3 - Medium)
 Comes only if the .NET Framework 4.5.2 is installed on your computer. Is since version 4.206.102.


Release 4.206.108 from 2021-01-07
=================================

thea.perso
-Contract: For non-period compensation, the contract period is not used automatically. (Bug#16621 | category 3 - Medium)

Miscellaneous
-Contracts: The Period column is not sorted by the date value, but by the displayed texts. (Bug#16620 | category 3 - Medium)


Release 4.206.107 from 2021-01-06
=================================

Miscellaneous
-Budget management: Contract costs are not calculated correctly. (Bug#16617 | category 3 - Medium)


Release 4.206.106 from 2021-01-06
=================================

Miscellaneous
-Roster: Saturday holidays do not reduce the weekly target az if Saturday does not have a target time. Manual changes to the target time are not always saved. (Bug#16616 | category 3 - Medium)


Release 4.206.105 from 2021-01-06
=================================

Miscellaneous
-Print roster changes: Result is always empty. (Bug#16615 | category 3 - Medium)


Release 4.206.104 from 2021-01-05
=================================

thea.dispo
-Person -> calendar: no more possible casts are issued for productions without expiration/scenario. (Bug#16613 | category 3 - Medium)

Miscellaneous
-Activity occupation window - Occupation option from contract overrides the display of the first cast from the production without a contract. (Bug#16611 | category 3 - Medium)
-Script execution shows error message. (Bug#16612 | category 3 - Medium)
-thea.works: Invalid times can be added. (Bug#16614 | category 3 - Medium)


Release 4.206.103 from 2020-12-30
=================================

thea.dispo
-Production -> cost: For multi-parts, the roles are displayed under each part. (Bug#16446 | category 3 - Medium)

thea.perso
-Roster printing: When output with colors, the background of layers without color is black. (Bug#16605 | category 3 - Medium)
-Roster Printing: The name of the account is printed for working hours, although not specified. (in addition, it is also issued several times). (Bug#16606 | category 3 - Medium)
-Roster: An out-of-office shift cannot be pasted into the 3rd layer using Copy Cell and Paste. (Bug#16607 | category 3 - Medium)
-Absence list: Absences in the third shift are ignored. (Bug#16608 | category 3 - Medium)
-Payroll and service data Export: The export provider AbsendDataExport does not take into account absences in the third shift. (Bug#16609 | category 3 - Medium)


Release 4.206.102 from 2020-12-23
=================================

thea.perso
+There is an assistant for creating new departments. (Feature#16408)

thea.chor
+Roster(occupation): Hidden roles no longer appear in the cast window. (Feature#16270)

Miscellaneous
+Default occupation: Roles labeled a different task area are displayed with a warning. (Feature#16241)
+Standard occupation: If roles are created with the designation of a different task area, it is asked whether this should be used. (Feature#16245)
+In the setting "Standard cast across playing time", when entering a standard cast, it is checked whether standard castism is present in other seasons, then time is supplemented. (Feature#16283)
+Standard occupation for collective members: The position is numbered automatically, due to the contract position, but sequentially. (Feature#16293)
+The combination of "automatic target working time distribution" and shifts whose working time is based on the target time is now possible. (Feature#16300)
+Settlement rule: A base amount can be deposited per service. (Feature#16353)
+Roster: In the "Distribute working time to weekdays" mode, individual (e.g.) Holiday days on weekends value times when there were days off during the week. (Feature#16359)
+Plan > Production Plan: Columns can be filtered by the stage of production production. (Feature#16367)
+The Basiccast field can be filtered after 1st - 4th cast. (Feature#16374)
+Roster view: Customize the "total column" for overtime, months can be "rounded" by weeks. (Feature#16378)
+Daily plan preview: Soli samples can also be created. (Feature#16382)
+ProductionConverter: The roles of a production can be output. (Feature#16390)
+Roster: An option is available to always allocate the entire working time in the cost object allocation. (Feature#16432)
+Roster: After closing the cost object dialog, the set person filter and the scroll position are retained/reset. (Feature#16436)
+Occupation per production: For occupations without a contract, a warning can be displayed. (Feature#16463)
+Housing management: Lists of arrivals/departures can be created. (Feature#16487)
+Production flow: A plant can be assigned to a "expiration step". (Feature#16500)
+In the time account evaluation, the sum can be spent per department. (Feature#16518)
+MRP: A column with the content (works, productions) of an activity is available. (Feature#16539)
+Production >Costs: For contracts without fees, the plan honorarise is accepted. (Feature#16554)
-Production >Costs: For occupations with multiple fees, the number of performances is determined by the number of fees. (Bug#16394 | category 3 - Medium)
-Contact -> letter/serial letter: The family status cannot be filled in with the PDF form "Reporting sheet B for insured personsSept20.pdf". (Bug#16492 | category 3 - Medium)

thea.transfer
+Checkout arrangement (thea.perso): The automatically generated description text can be set. (Feature#16440)

thea.travel
+Housing management: The filter for the apartments is now a tree. (Feature#16559)


Release 4.205.123 from 2020-12-21
=================================

Miscellaneous
+Plans: The date and time of creation and last change of personal data can now be output. (Feature#16575)
-Merge contacts: Contacts cannot be merged if they are assigned as a collective to the same department. (Bug#16498 | category 4 - Low)
-Merge contacts: If the contacts refer to each other, there is an error. (Bug#16544 | category 3 - Medium)


Release 4.205.122 from 2020-12-10
=================================

Miscellaneous
-Contacts -> Qualifications: The examination of which qualifications are available is incorrect. (Bug#16553 | category 3 - Medium)

thea.order
-Orders: For cash accounts and travel expenses, the tax rates that can be selected are not filtered in terms of time validity. (Bug#16558 | category 3 - Medium)


Release 4.205.121 from 2020-12-09
=================================

Miscellaneous
-Master data -> templates: When you open a template in the internal editing window, an InvalidOperationException may occur. (Bug#16536 | category 3 - Medium)
-Master data > templates: When saving the document in the internal editing program, an exception (and hanging program) may occur if the template is open in another program. (Bug#16537 | category 3 - Medium)
-Various bug fixes when the templates are stored via the WCF service. (Bug#16538 | category 3 - Medium)


Release 4.205.120 from 2020-12-04
=================================

thea.dispo
-Dispo -> Series: On Windows 10 with a scale of 140%, the "Load Activities" button no longer appears. (Bug#16527 | category 3 - Medium)
-Dispo - > Table View: Selecting a cell in the Count count column will be nullReferenceException. (Bug#16528 | category 3 - Medium)

Miscellaneous
+The stage group can now output the footer text to plans. (Feature#16530)
-Role allowances: Subsequently changed activity types/contract types are not automatically saved. (Bug#16517 | category 3 - Medium)
-Roster: The target working time is determined depending on the type of contract, not on the basis of the different working hours. (Bug#16522 | category 3 - Medium)
-Reportport (Dispo) -> Cancelled absences are not crossed out. (Bug#16534 | category 3 - Medium)


Release 4.205.118 from 2020-12-02
=================================

Miscellaneous
+Absence planning: The appointments can be sent by e-mail for a free period of time. (Feature#16523)
-New contact: If the contact is to get the owner everyone, "Contact details are public" must also be activated, otherwise an exception will occur. (Bug#16493 | category 3 - Medium)
-Daily schedule > Cast field: The grouping by partial production and start is not sorted by start. (Bug#16499 | category 3 - Medium)


Release 4.205.117 from 2020-11-23
=================================

Miscellaneous
+Contacts: The date restrictions for birthday and death date have been removed. (Feature#16482)

thea.contact
+Contact Search: Added a column for Is Inactive. (Feature#16478)


Release 4.205.116 from 2020-11-23
=================================

Miscellaneous
-Print the activity: The setting for the role owner is not saved. (Bug#16475 | category 3 - Medium)
-Productions: Sorting activities by date does not sort by date value, but by the text displayed. (Bug#16476 | category 3 - Medium)


Release 4.205.115 from 2020-11-19
=================================

Miscellaneous
-Dispo -> table view: For newly created activities via the grid, the long note is not saved. (Bug#16467 | category 3 - Medium)
-Dispo -> table view: For newly created activities via the detail dialog, the "Note Long" disappears from the display after saving. (Bug#16468 | category 3 - Medium)
-Dispo - > detailed view of activities: When changing the register scans, their data is not saved. (Bug#16469 | category 3 - Medium)


Release 4.205.114 from 2020-11-17
=================================

Miscellaneous
+In the formula "Allowance for work in the period" consecutive occupations are interpreted together as a service. (Feature#16455)
+Rapport: Casts of cancelled performances can also be issued if they are remunerated or counted. (Feature#16459)


Release 4.205.112 from 2020-11-13
=================================

Miscellaneous
-People -> Calendar - > Absences: If a filter is set in the "Reason" column, and only one letter is entered for a new entry for input, everything hangs up. (Bug#16420 | category 3 - Medium)
-Plans: When you open the Settings for Calendar or One Line Per Day plans, you may have an Exception argument. (Bug#16448 | category 3 - Medium)
-Absence planning: If a contract is opened from the planning view and moved to another department, an error message is received. (Bug#16449 | category 4 - Low)
-Create contracts: For contracts without role/production, the standard billing rule is not applied from the work area. (Bug#16450 | category 4 - Low)


Release 4.205.111 from 2020-11-11
=================================

Miscellaneous
-Dispo: Schedule countdown in a variant schedules the countdown in the master variant. (Bug#16445 | category 3 - Medium)


Release 4.205.110 from 2020-11-11
=================================

thea.dispo
+Contracts: The examination of whether there are any appointments that are outside the contract period due to term changes has been improved. (Feature#16424)

Miscellaneous
-Instrumentation per production -> Print: Marked casts are not marked. (Bug#16419 | category 3 - Medium)


Release 4.205.109 from 2020-11-09
=================================

Miscellaneous
-Game plan export/game plan import: A FileLoadException occurs when using ZIP files. (Bug#16423 | category 3 - Medium)


Release 4.205.107 from 2020-11-04
=================================

Miscellaneous
-Out of office plan: Count for persStatusList returns one day too much. (Bug#16418 | category 3 - Medium)
-Productions -> default occupation: Changing the number and then saving the role may result in an OutOfRangeException argument. (Bug#16421 | category 3 - Medium)
-Plans: When you output the long remark of an activity, brackets are output even if there is no long remark. (Bug#16422 | category 3 - Medium)


Release 4.205.105 from 2020-10-30
=================================

Miscellaneous
-Roster: Comments cannot be deleted. (Bug#16414 | category 3 - Medium)


Release 4.205.102 from 2020-10-27
=================================

thea.dispo
+Dispo: There are now columns for the arrival time of the outward journey and the return journey. (Feature#16396)
+Dispo: The list view can now be zoomed in. (Feature#16400)

Miscellaneous
-Print cast slips: The order of the casts issued is not correct. (Bug#16334 | category 3 - Medium)


Release 4.205.101 from 2020-10-26
=================================

thea.dispo
+MRP: A new List View view is now available where activities can be grouped and sorted. (Feature#16080)
+Daily plan: The daily plan template (with macros and UI adjustments) is now installed with the program, the templates from the master data only specify the appearance. (Feature#16201)
+Daily schedule: Theasoft's certificate is now installed when the program installs it into the Trusted Publisher Certificate Store. (Feature#16205)
+Productions -> Scenario: In print, the casts (activity/standard occupation) can be output. (Feature#16211)

thea.perso
+Roster: Daily allowances can be displayed as a warning. (Feature#16235)

Miscellaneous
+Occupation per production: It can be filtered to variants. (Feature#15986)
+Updates can be obtained through the WCF service. (Feature#16102)
+Schedule Export -> XML-Export: Productions without activities are also exported. (Feature#16117)
+the address completion suggestions are moved to the wcf service, the address.mdb is no longer included in the client installatiob. (Feature#16145)
+Contact search: Improved performance. (Feature#16149)
+Contacts: A time period can be specified for the contacts assigned to a person (agencies, contact persons). (Feature#16156)
+Apply functions from old WEB. (Feature#16168)
+Daily schedule: For sample sections, the times can be output as "ca." or "anschl." Empty sections are output. (Feature#16226)
+You can switch from an activity to production via the context menu. (Feature#16279)
+Edit series -> Copy to variant now also copies the casts if necessary. (Feature#16289)
+Roles/production allowances can be specified for multiple contract types. (Feature#16306)
+Report: The contract target working time can be spent. (Feature#16341)
+Master data/playing times: When changing the game time data (From, To), standard occupation and contracts are adjusted. (Feature#16345)
+Daily Schedule: Sample sections with inconsistent times are now displayed and highlighted for easier troubleshooting. (Feature#16349)
-Daily plan -> Column settings: Tabs cannot be deleted. (Bug#15904 | category 3 - Medium)
-Daily plan view: The "Update button" does not reload the data from the database. (Bug#16231 | category 3 - Medium)
-Day plan view: Changes in the activity details are not visible in the day plan view. (Bug#16232 | category 3 - Medium)
-Roster: Zero Reference Exception when changing service hours. (Bug#16263 | category 3 - Medium)
-Roster -> Shift Details: Newly entered allowances are not saved when the tab page is changed. (Bug#16287 | category 3 - Medium)
-Roster -> Allowances per day: New registered allowances are not immediately visible in the roster entry. (Bug#16288 | category 3 - Medium)
-Export Time Accounts : YearMonth is output as a string without format. (Bug#16304 | category 3 - Medium)
-Shorten contract -> Error message that you have no authorization on occupations. (Bug#16333 | category 3 - Medium)
-Works management: For composers/authors only the ID is issued. (Bug#16371 | category 3 - Medium)
-Service statistics: The number of services in a week is too low. (Bug#16372 | category 3 - Medium)
-Absence planning: When opening, an exception may occur if the last selected department has been deleted in the meantime. (Bug#16389 | category 3 - Medium)

thea.ballett
+Productions -> Scenario: In print, the casts (activity/standard occupation) can be output. (Feature#16211)

thea.budget
-Dispo reports -> presentation budget: No flat rates of productions without performances are spent. (Bug#16340 | category 3 - Medium)

thea.export
+Schedule export: Optionally, the long activity note can be exported. (Feature#16193)

thea.works
+thea.works: The menu to adjust the service hours to the task has been revised. (Feature#16314)
-thea.works: The tooltip is not always displayed (e.g. the assigned task). (Bug#16319 | category 4 - Low)
-thea.works: When you add daily tasks, the data is reloaded without saving first. (Bug#16320 | category 3 - Medium)


Release 4.204.117 from 2020-10-26
=================================

Miscellaneous
-Absence Scheduling: Limitation of the displayed time period leads to argument out of Range exception. (Bug#16338 | category 3 - Medium)


Release 4.204.116 from 2020-10-05
=================================

Miscellaneous
-Master data -> Templates -> Edit PDF parameters: The currentcontract.salaries field cannot edit the settings. (Bug#16299 | category 3 - Medium)
-User management: Removing a user's associated contact may result in an exception. (Bug#16323 | category 3 - Medium)
-Licenses associated with the user, which are obtained via Windows groups, are not recognized. (Bug#16324 | category 3 - Medium)

thea.contract
-Settings: Deleting a contract export results in a SqlException. (Bug#16327 | category 3 - Medium)


Release 4.204.114 from 2020-09-21
=================================

thea.perso
-Roster: When printing, the background color of comments is sometimes not displayed correctly. (Bug#16276 | category 3 - Medium)

Miscellaneous
-Productions -> Files: Time is not displayed in the last act. (Bug#16264 | category 4 - Low)


Release 4.204.113 from 2020-09-17
=================================

thea.dispo
-Dispo -> Year view: Beu new activities the variant is not taken over. (Bug#16217 | category 3 - Medium)

Miscellaneous
-Budget Game Plan -> Settings Productions: The titles of the productions are not displayed. (Bug#16261 | category 3 - Medium)
-Billing via billing rules: If a person is a cover on one day, and is not occupied as a cover in another activity, we will be charged an additional fee. (Bug#16275 | category 3 - Medium)


Release 4.204.112 from 2020-09-11
=================================

Miscellaneous
-Countdown. (Bug#16218 | category 3 - Medium)
-Default occupation: If you change the default cast to a date, an error occurs when no end date is entered. (Bug#16221 | category 3 - Medium)
-thea.works: Probably an incorrect target time is written with dynamic distribution of working time. (Bug#16225 | category 3 - Medium)


Release 4.204.111 from 2020-08-31
=================================

Miscellaneous
-Disposition (Department): When you open the view, an exception occurs when the date format is set to English (USA). (Bug#16215 | category 3 - Medium)


Release 4.204.110 from 2020-08-31
=================================

Miscellaneous
-Dispomask: School holidays will no longer be displayed if no federal state is deposited. (Bug#16210 | category 3 - Medium)


Release 4.204.109 from 2020-08-31
=================================

Miscellaneous
-Daily schedule preview: Failed activities are not crossed out. Occupations cannot be deleted in the section dialog. (Bug#16200 | category 4 - Low)


Release 4.204.108 from 2020-08-27
=================================

Miscellaneous
-Calendar -> Travel: The travel steps are not reloaded when changing people. (Bug#16197 | category 3 - Medium)
-For settlement rules for casts, the "Cover" option is not evaluated. (Bug#16198 | category 3 - Medium)
-Settlement of fees/allowances: In the "calculation mode" allowances for samples are also billed for performances. (Bug#16199 | category 3 - Medium)


Release 4.204.107 from 2020-08-25
=================================

Miscellaneous
-Occupation Details/Activity Details -> Occupations: When entering cast end times, the end time sometimes bounces back. (Bug#16191 | category 3 - Medium)
-Daily schedule -> Sample section: If people are occupied by "Selected occupy" and not deselected, they are filled again at "OK". (Bug#16192 | category 3 - Medium)


Release 4.204.106 from 2020-08-19
=================================

Miscellaneous
-Cash orders: Absence lines are not issued. (Bug#16014 | category 3 - Medium)
-ProductionConverter -> The rehearsal start is not output, if the production has a "sample playing time" but the sample start is in the premiere time. (Bug#16161 | category 3 - Medium)


Release 4.204.104 from 2020-08-14
=================================

Miscellaneous
-Plan: Key Data Art -> Field RehearsalDate is not output. (Bug#16155 | category 3 - Medium)


Release 4.204.103 from 2020-08-13
=================================

thea.dispo
-Dispo -> Edit series: There are some inconsistencies when working with variants related to countdowns. (Bug#16040 | category 3 - Medium)

Miscellaneous
-Export -> CSV: When exporting several seasons, only the default line-up of the first season is exported. (Bug#16143 | category 3 - Medium)
-Absence planning: The marking of the days of the week disappears, when you hover over the column "hovert". (Bug#16144 | category 4 - Low)
-Daily schedule: If the daily schedule interface has been activated in the user settings, the daily schedule window will not open. (Bug#16154 | category 3 - Medium)


Release 4.204.102 from 2020-08-04
=================================

Miscellaneous
+Contracts: A contract can be marked as a "primary contract". (Feature#16053)
+Contracts -> Fees: The validity period can be specified in the payment details window. (Feature#16139)


Release 4.204.101 from 2020-08-03
=================================

Miscellaneous
+Contacts -> Bank details: An address can be specified for the bank. (Feature#16135)


Release 4.204.100 from 2020-07-31
=================================

thea.dispo
+Variants: Variants have a runtime and a characteristic whether they should be checked for absence overlaps. (Feature#15996)
+Occupations -> Activity Details/Occupation Details: Check for Valid Periods. (Feature#16022)
+Works: A royalty for the choreographer can be managed. (Feature#16035)
+Activities/Day Plan: Samples can be divided in time. Instructions can be provided per sample part and it is possible to occupy all participants in an act/scenes. (Feature#16072)
+Productions -> Basic data: In the overview of planned activities, you can now also filter on variants. (Feature#16088)

thea.perso
+Accounts -> Formula "Calculated. Pay per day": The assigned cost objects are spent on the wage. (Feature#16062)

thea.orchester
+Instrument management: It can be filtered by instrument categories and instruments. (Feature#16092)

Miscellaneous
+The SMTP servers of the users can be specified centrally or the user-specific data can be overwritten. (Feature#15691)
 The server and port are set centrally. Login and sender information at the SMTP settings for system notifications (for export, validation, etc.) and for the SMTP profiles in the user settings (for appointment letter, serial e-mail, etc.). IMPORTANT: The previous settings were NOT applied.
+The scenario possibilities have been extended. (Feature#15862)
+Roster (occupations): Multiple cells can be freely selected. (Feature#15958)
+Presentation statistics: The settings can be saved. (Feature#15978)
+Presentation statistics: It can be filtered by variants. (Feature#15992)
+Master Data -> Documents -> Editing: A dialog for editing mail merge fields can be seductive. (Feature#16043)
+Master data -> Cost object: A fixed household title can be defined per cost object, which is preferred for cash arrangements. (Feature#16067)
+Master data -> Templates for documents: A document can only be opened 1x for editing. (Feature#16121)
+Contacts: The assignments of children to guardians can be managed. (Feature#16125)

thea.budget
+MRP reports -> Presentation budget: The cost accounts can be filtered in the "costs" field. (Feature#16031)
+Works: A royalty for the choreographer can be managed. (Feature#16035)
+Budget Game Plan -> Forces: The calculation can be output under MRP reports -> Presentation budget". (Feature#16076)


Release 4.203.114 from 2020-07-31
=================================

thea.contact
-Contact search -> Serial letter: The output field "sender" is not supported. (Bug#16134 | category 3 - Medium)


Release 4.203.113 from 2020-07-31
=================================

Miscellaneous
-Accounts -> Formula: The formulas "Should" and "Wage type Leave" do not output values under certain conditions. (Bug#16129 | category 4 - Low)
-Contacts -> addresses: If you click directly on "Set as primary address" when you re-enter an address, it will not be saved". (Bug#16131 | category 3 - Medium)
-Master data/thea.perso -> Print layouts: The text orientation of the comment cannot be set. (Bug#16132 | category 3 - Medium)


Release 4.203.112 from 2020-07-29
=================================

Miscellaneous
+Contacts -> Contact person: A department can be displayed in the address. (Feature#16113)


Release 4.203.111 from 2020-07-21
=================================

thea.dispo
-Productions -> Standard cast: After a person has been removed from the standard cast, an exception occurs. (Bug#16112 | category 3 - Medium)

Miscellaneous
+Productions -> Standard casts: The period can be specified on a daily basis, but also across playing days. (Feature#15928)
-Person -> Contact details: For new entries, a contact type is not automatically selected. This can lead to exceptions. (Bug#16109 | category 3 - Medium)


Release 4.203.110 from 2020-07-16
=================================

thea.perso
-Perso Reports -> Time Accounts Evaluation: If the values are calculated only from roster entries, a NullReferenceException occurs. (Bug#16110 | category 3 - Medium)


Release 4.203.109 from 2020-07-15
=================================

thea.dispo
-Absence planning: The calculation of the number of morning/afternoon services is incorrect. (Bug#16097 | category 3 - Medium)


Release 4.203.108 from 2020-07-06
=================================

Miscellaneous
-Budget per performance: There may be an error in issuing fees for vacant roles. (Bug#16096 | category 3 - Medium)


Release 4.203.107 from 2020-06-30
=================================

Miscellaneous
-Report column: Transfer to other account uses the wrong previous day. (Bug#16066 | category 3 - Medium)


Release 4.203.106 from 2020-06-29
=================================

Miscellaneous
-Master data -> Activity types -> Write permissions: Newly set permissions cannot be removed immediately. (Bug#16042 | category 3 - Medium)
-Standard cast slip: The same standard cast is issued for Cast1 to Cast4. (Bug#16059 | category 3 - Medium)
-Productions -> Standard occupation: For role groups, no blank lines are displayed if there are casts with a larger group position. (Bug#16060 | category 3 - Medium)


Release 4.203.105 from 2020-06-24
=================================

thea.perso
-Employees -> Calendar: In the "Services (thea.perso)" view, you can no longer enter services. There is always a message that there are several contracts. (Bug#16052 | category 3 - Medium)

Miscellaneous
-Productions: Delete Production fails if there are production fields. (Bug#16041 | category 3 - Medium)


Release 4.203.104 from 2020-06-23
=================================

thea.dispo
-Dispo -> Monthly view: Only one blank page is output during printing. (Bug#16039 | category 3 - Medium)


Release 4.203.101 from 2020-06-16
=================================

Miscellaneous
+Schedule countdowns: Only the personnel requirements can be taken over. (Feature#16026)
-Roster printing: The assigned tasks cannot be output shift-related. (Bug#16030 | category 4 - Low)


Release 4.203.100 from 2020-06-14
=================================

thea.dispo
+Dispo -> Reschedule Series: Multiple activity types can be specified as filters. (Feature#15737)
+MRP Reports -> Subscription Control List: It can be filtered by variants. (Feature#16006)

thea.perso
+Roster/Rapport: Correction entries are now considered even if the corresponding month is not yet completed. (Feature#15875)

thea.chor
+Roles: A calculation settlement rule can be deposited. (Feature#15942)

Miscellaneous
+Occupation: A filter is available for contractually suitable persons. (Feature#15636)
+Choir/Orchestra Billing: The grouping can be saved in the template. (Feature#15682)
+Occupation per activity: As an alternative to standard occupation, contracts can also be displayed. (Feature#15707)
+Orchestral service statistics: Health services can also be taken into account. (Feature#15741)
+Contract field types now have a module flag. (Feature#15756)
+Cash arrangements: If only one payout pay type is deposited, only the paid values are transferred to the cash arrangement. (Feature#15765)
+Absence planning: A color can be assigned to people's names. (Feature#15781)
+Absence planning: You can open a window to sort people. (Feature#15785)
+Schedule Export: Filters are available for the owner of the roles/occupations. (Feature#15799)
+Time accounts per month: Multiple cells can be selected and a value entered/deleted. (Feature#15807)
+Report: You can set a rule that all hours are posted over one value (account balance) to another account. (Feature#15811)
+Activity details: Production text fields can be set to "empty" to overwrite the production value. (Feature#15867)
+Master Data -> Statisterie: Activity Types Are Displayed. (Feature#15879)
+User management: User groups can be renamed. (Feature#15907)
+Home -> Due dates: There is a new page with the production of a due date. (Feature#15913)
+User management: Users can be renamed. (Feature#15918)
+Contacts addresses: An address can be specified as a "tax residence". (Feature#15932)
+Departments -> Work areas: There is a characteristic "Inactive", inactive workspaces are no longer proposed when creating contracts. (Feature#15952)
+Billings: The allowance calculation can be done across game periods, due to the standard occupation of the performance day. (Feature#15962)
+Create cash arrangement: A standard cost carrier can be stored for (Perso) cash arrangements. (Feature#15973)
+Address plan: A person's pictures can be displayed. (Feature#15982)

thea.library
-Master data -> Note stock: The Material column refers to the warehouse container and provides the state to select. (Bug#15941 | category 4 - Low)

thea.statisterie
+Roles: A calculation settlement rule can be deposited. (Feature#15942)


Release 4.202.121 from 2020-06-14
=================================

thea.dispo
-Master Data -> Task Areas: Apply changes in roles fails (SqlException). (Bug#16016 | category 3 - Medium)

thea.perso
-Roster -> Shift details: Manual break times after midnight are not evaluated when the shift starts before midnight. (Bug#16015 | category 4 - Low)
-Roster -> Shift Details: For automatic breaks that start before midnight and end after midnight, the wrong duration is displayed. (Bug#16019 | category 3 - Medium)

thea.statisterie
-Roster (occupations) -> The "Show production contracts on demand" filter does not filter out role contracts. (Bug#16021 | category 3 - Medium)


Release 4.202.120 from 2020-06-08
=================================

Miscellaneous
-Equation setting Absences: The combination of number of periods 0, period type weeks and start interval Play time start leads to an infinite loop. (Bug#16010 | category 3 - Medium)
-XML Export exports performers even when Performer Export is turned off. (Bug#16012 | category 3 - Medium)


Release 4.202.119 from 2020-06-03
=================================

Miscellaneous
-Roster: After changing the week, the selected shift can no longer be scheduled. (Bug#15966 | category 3 - Medium)


Release 4.202.116 from 2020-05-28
=================================

Miscellaneous
-XML export: Only output production team does not spend anything. (Bug#15957 | category 3 - Medium)
-Output Rapport: Error in SQL Query. (Bug#15968 | category 3 - Medium)


Release 4.202.115 from 2020-05-27
=================================

thea.dispo
-Set up a dispomask: When setting up layouts with only one column/stage, an error may occur-. (Bug#15971 | category 3 - Medium)


Release 4.202.114 from 2020-05-27
=================================

thea.perso
-Persoreports -> Time Account Report: The result of the issue of a month period differs from the free period selection. (Bug#15939 | category 3 - Medium)

Miscellaneous
-Daily Schedule - The settings for "Unissued if linked" are reset each time the day plan settings are changed. (Bug#15898 | category 3 - Medium)
-Production plan -> One row per day: The "Selected Production" column filter does not include subproduction. (Bug#15899 | category 3 - Medium)
-Soliproben: Casts that do not match the selected interval are not output. (Bug#15902 | category 3 - Medium)
-User management: Users without the Securityadmin right can create but not delete user groups. (Bug#15906 | category 4 - Low)
-Copy to Variant: The status is set to normal. (Bug#15917 | category 3 - Medium)
-Productions: Deleting productions fails due to lack of permissions. (Bug#15937 | category 3 - Medium)
-Dispo -> Suggestion: When the stage filter is switched on, cast overlaps are no longer checked. (Bug#15938 | category 3 - Medium)
-Castconverter: SetuptimebeforeStart is no longer output. (Bug#15949 | category 3 - Medium)
-An error may occur when creating new tours. (Bug#15967 | category 3 - Medium)


Release 4.202.113 from 2020-05-07
=================================

Miscellaneous
-Time accounts: The values are stored with all post-coma stellen, but the display is rounded. For summations, the sum is not the sum of the displayed individual values. (Bug#15896 | category 3 - Medium)
-Absence planning: No entries can be deleted. (Bug#15901 | category 3 - Medium)


Release 4.202.112 from 2020-05-05
=================================

Miscellaneous
-Contracts: The workarea field is not case sensitive. (Bug#15892 | category 3 - Medium)


Release 4.202.111 from 2020-05-04
=================================

thea.chor
-Choir/Orchestra Billing: No date is issued. (Bug#15886 | category 3 - Medium)

Miscellaneous
-Home -> History: An exception comes when trying to take note of already noted entries. (Bug#15884 | category 3 - Medium)


Release 4.202.110 from 2020-04-22
=================================

thea.transfer
-Cash arrangement: No due dates that are not in the contract period are paid out. (Bug#15866 | category 3 - Medium)


Release 4.202.109 from 2020-04-21
=================================

Miscellaneous
-Roster: If you switch the week with "<" or ">" and the demand plan is displayed, you may receive an error message. (Bug#15851 | category 3 - Medium)


Release 4.202.108 from 2020-04-21
=================================

thea.dispo
-Productions: Price groups can only be changed, but not removed. (Bug#15846 | category 3 - Medium)

thea.budget
+Budget Schedule: Failed activities can also be issued. (Feature#15847)


Release 4.202.107 from 2020-04-20
=================================

Miscellaneous
+New call notes check whether the contact already has the calling phone number and add them in case of doubt. (Feature#15838)


Release 4.202.106 from 2020-04-15
=================================

Miscellaneous
-Absence planning: Schedule free days only in the first week half days. (Bug#15820 | category 3 - Medium)


Release 4.202.105 from 2020-04-14
=================================

thea.export
-Schedule export -> CSV: People are exported even though no casts are to be exported, there is no yearbook data and there are no people with a "spend in export" flag. (Bug#15832 | category 3 - Medium)


Release 4.202.104 from 2020-04-13
=================================

Miscellaneous
+Settlement rules: You can set the billing rule for which the sample factor or the imagination factor should be used. (Feature#15826)

thea.transfer
+Cash arrangements: In documents you can now access the assigned occupation of the position. (Feature#15822)
-Payment orders: In the detail view, when changing the position, the list of associated appointments is no longer updated. (Bug#15821 | category 3 - Medium)


Release 4.202.102 from 2020-04-07
=================================

thea.dispo
+Master data: You can now create subscription groups that can be assigned to a subscription. (Feature#15580)
+Subscription planning: Further rules can be set (federal state for holidays, blocking days, number of performances per stage, notification for weekday examination). (Feature#15584)
+Subscription planning: You can create a "date letter". (Feature#15588)
+Dispo -> Settings: The registered department can now be removed. (Feature#15612)
+Productions: For productions a performance stage can be specified. (Feature#15642)
+New View: Parallel Productions. (Feature#15664)

thea.perso
+Roster -> Overtime request: The template now has settings that can be used to convert the calculation type to daily overtime. (Feature#15536)

Miscellaneous
+Contacts/Persons: For people in the "Composer" contact area, agencies can now also be assigned. (Feature#15467)
+Master data -> Department: You can now set a department to Inactive. (Feature#15488)
+Plan: An activity can output data from the parent activity. (Feature#15499)
+Plan -> "Occupation Absences": A mail function is available to send each contained person his/her data to. (Feature#15518)
+Create a new contact/assign employees: The search for existing contacts now uses word search. (Feature#15528)
+Tariff: The rest period for days off can be set regardless of the night's rest. (Feature#15540)
+Subscription planning. (Feature#15566)
+Productions -> Standard cast: When copying a cast to another season, the roles may be automatically filled and restaffed. (Feature#15576)
+Holiday calculation: Development of a holiday rule to determine leave on the basis of the employment weeks. (Feature#15618)
+Master data -> Role categories: A factor for performance and sample fees can be deposited. (Feature#15632)
 The billing rules can then be used to enable consideration.
+Orchestra: Covers can be managed. (Feature#15668)
+Plan -> One row Per production: Columns can now be deleted from the context menu. (Feature#15674)
+Evening cast slip: The cast fields can be filtered by an owner group. (Feature#15751)
+Fees per contract: Fees paid per sample/day can be paid on the basis of the occupations. The payout day is the last of the month. (Feature#15760)
+Absence scheduling: When scheduling free days, you can now optionally query the note. (Feature#15770)
+Deadline letter -> per production: The filter by contact areas filters the distributor. (Feature#15777)
+Appointment letter: You can also output out-of-date activities. (Feature#15803)


Release 4.201.138 from 2020-04-02
=================================

thea.perso
-Absence planning -> thea.perso-Department: If an entry is deleted, it can only be rescheduled after a "refresh". (Bug#15797 | category 3 - Medium)

Miscellaneous
-Payroll and service data export -> NBG v1: Error while running. (Bug#15775 | category 3 - Medium)
-Merge contacts: No contacts are merged with an identical cast repertoire. (Bug#15776 | category 3 - Medium)
-Contact Calendar: Casts from role groups are displayed multiple times when optional casts are also displayed. (Bug#15789 | category 3 - Medium)
-Orchestra service extrapolation by weeks: The temporary services are not multiplied for double services. (Bug#15794 | category 3 - Medium)
-Master data: Task areas cannot be merged if occupation rules are still assigned. (Bug#15795 | category 3 - Medium)
-User management: User permissions cannot be printed if the user is allowed to read more play time than the person who wants to print the permissions. (Bug#15798 | category 3 - Medium)


Release 4.201.136 from 2020-03-26
=================================

thea.perso
-Roster -> Demand Plan: Tasks that end at or after midnight are incorrectly considered in the count and tooltip. (Bug#15747 | category 3 - Medium)
-Master data: Print layouts cannot be deleted. (Bug#15774 | category 3 - Medium)

thea.orchester
-Roster (occupations) -> Sum "Services in settlement period": The services of failed activities are not counted. (Bug#15755 | category 4 - Low)

thea.chor
-Roster (occupations) -> Sum "Services in settlement period": The services of failed activities are not counted. (Bug#15755 | category 4 - Low)

Miscellaneous
+Contacts -> Monthly Calendar: On Monday, the calendar week is now also issued. (Feature#15733)
-Absence planning: If no department is selected, for example, when opening for the first time, a NullReferenceException occurs. (Bug#15769 | category 3 - Medium)


Release 4.201.135 from 2020-03-20
=================================

thea.dispo
-Master data: Audition types cannot be created. (Bug#15732 | category 3 - Medium)

Miscellaneous
+Subscription control list: The subscription control list can be issued with cancelled performances. (Feature#15727)


Release 4.201.134 from 2020-03-19
=================================

Miscellaneous
+Performance statistics: You can spend unusual/cancelled activities. (Feature#15723)


Release 4.201.133 from 2020-03-17
=================================

Miscellaneous
-Plan -> One line per activity: cancelled activities are not issued. (Bug#15722 | category 3 - Medium)

thea.order
-Orders: No purchase order lines can be deleted. (Bug#15717 | category 3 - Medium)


Release 4.201.132 from 2020-03-13
=================================

Miscellaneous
+Activity details: The number of services for a department can now also be set for failed activities. (Feature#15699)
-Contracts: There is a NullReferenceException when printing contracts. (Bug#15712 | category 3 - Medium)
 Only versions 4.201.128 and 4.201.129 are affected.


Release 4.201.129 from 2020-03-12
=================================

Miscellaneous
-Contact information import: The tax number is not imported. (Bug#15711 | category 3 - Medium)


Release 4.201.128 from 2020-03-12
=================================

Miscellaneous
+Dispo: A status is available for external cancellations. (Feature#15695)


Release 4.201.125 from 2020-03-11
=================================

Miscellaneous
-Absence planning: The totals no longer display tooltips. (Bug#15687 | category 3 - Medium)
-Absence planning: The total columns are not sorted correctly. (Bug#15689 | category 3 - Medium)
-Absence planning: The calculation of the time period for the absences totals is sometimes incorrect. (Bug#15690 | category 3 - Medium)


Release 4.201.124 from 2020-03-11
=================================

thea.perso
-Roster: Comments cannot be written sporadically. (Bug#15617 | category 3 - Medium)
-Roster: Failed to enter numbers in comments. (Bug#15686 | category 3 - Medium)


Release 4.201.122 from 2020-03-10
=================================

Miscellaneous
-Merge contacts: If both contacts have filled in the same "Other Data," there is an exception. (Bug#15454 | category 4 - Low)
-Merge contacts: If both contacts have the same qualifications, there is an exception. (Bug#15654 | category 3 - Medium)


Release 4.201.121 from 2020-03-06
=================================

thea.dispo
-Dispo -> Daily info: "Delete absences" does not delete the absence. (Bug#15673 | category 3 - Medium)

thea.perso
-Demand plan: A nullreferenceexception can occur when viewing the context menu. (Bug#15681 | category 3 - Medium)


Release 4.201.120 from 2020-03-05
=================================

thea.dispo
-Create contracts -> Ensemble: There is a superfluous message that no role has been added. (Bug#15680 | category 4 - Low)

Miscellaneous
-Contacts -> Calendar -> Year view: If a person has multiple contracts, it can happen that an error message occurs when entering services/absences. (Bug#15672 | category 3 - Medium)
-Production -> Checklists: With read rights, the entries are difficult to read. (Bug#15678 | category 4 - Low)


Release 4.201.119 from 2020-03-04
=================================

Miscellaneous
-Orchestrad: KeyNotFoundException, if the service account of the medical cut is to be determined. (Bug#15597 | category 3 - Medium)
-Roster: Again click on roster generated NullReferenceException. (Bug#15663 | category 3 - Medium)


Release 4.201.118 from 2020-03-03
=================================

thea.perso
-Roster: When changing the weeks, sometimes the message "Status already set" comes. (Bug#15652 | category 3 - Medium)

Miscellaneous
+Contracts -> Print contract data sheet: The profile picture of the person can now be printed. (Feature#15648)
 A field must be added to the template with the Code Image:$profilepicture.
+Contract search: When you click on the bracket, the attachment of the last contract document, which also has attachments, is now opened. (Feature#15658)
-Roster: If a roster is printed for multiple departments, the same daily notes are printed for all departments. (Bug#15603 | category 4 - Low)
-Master data -> Templates: In the Word Editor, a space after MERGEFIELD is missing from the inserted form letter fields. (Bug#15656 | category 3 - Medium)


Release 4.201.117 from 2020-03-02
=================================

thea.perso
-Service plan -> Month closing: When creating "With cashier arrangement" a SqlException occurs. (Bug#15641 | category 3 - Medium)


Release 4.201.115 from 2020-02-28
=================================

thea.dispo
+Automatic import of game plan data -> Evis: The field ev_project_worktitel is now taken into account. (Feature#15628)

Miscellaneous
-Dispo: If you see February 29 at the top and you switch to a game time that doesn't contain it, then an ArgumentOutOfRangeException occurs. (Bug#15640 | category 4 - Low)


Release 4.201.113 from 2020-02-27
=================================

Miscellaneous
-Master data -> Formula settings: In the absences formula, the time accounts cannot be edited. (Bug#15623 | category 3 - Medium)


Release 4.201.112 from 2020-02-26
=================================

thea.perso
-Master data -> Department: Setting the month closing is successful even if some month entries could not be written due to missing permissions. (Bug#15532 | category 3 - Medium)
-Month closing: If month entries cannot be written due to missing permissions, no message is issued to the user. (Bug#15533 | category 3 - Medium)
-Master data -> Department: Sometimes no monthly data is written when opening and closing months. (Caching problem). (Bug#15535 | category 3 - Medium)
-Financial statements/settlement periods: The department is no longer displayed in the table. (Bug#15622 | category 3 - Medium)

Miscellaneous
-Activity details: -> Saving attempts to save the department's service count, even if you don't have permission. (Bug#15524 | category 3 - Medium)
-When you output an address plan with a repertoire, you will see a SqlException. (Bug#15601 | category 3 - Medium)
-Roster: Departments are sometimes displayed twice. (Bug#15602 | category 3 - Medium)


Release 4.201.111 from 2020-02-21
=================================

Miscellaneous
+Contact data import checks permissions. (Feature#15605)
-Contracts: A failure occurs when copying a contract. (Bug#15609 | category 4 - Low)
-Report: Formula "wage type sick" does not count the entries from the account "Sick". (Bug#15610 | category 3 - Medium)


Release 4.201.110 from 2020-02-20
=================================

thea.perso
-Roster: When determining the tasks that can be done on a service, there is an exception if the service contains absence shifts. (Bug#15604 | category 3 - Medium)


Release 4.201.109 from 2020-02-19
=================================

Miscellaneous
-Contacts -> Attachments: After deleting an attachment, the row is not removed from the grid. However, after reloading the contact, then is gone. (Bug#15600 | category 3 - Medium)


Release 4.201.108 from 2020-02-19
=================================

Miscellaneous
-Export: You can't spend fancy activities. (Bug#15598 | category 3 - Medium)
-Attachments: There is an exception when previewing Excel documents. (Bug#15599 | category 3 - Medium)


Release 4.201.106 from 2020-02-19
=================================

Miscellaneous
-Demand plan>Production qualification: When assigning a qualification, an error message comes. (Bug#15575 | category 3 - Medium)


Release 4.201.105 from 2020-02-18
=================================

Miscellaneous
-thea.works: The "lock status" of services is not taken into account. (Bug#15515 | category 4 - Low)
-Create a cashier's order: Null Reference Exception when creating new cashier arrangements. (Bug#15572 | category 3 - Medium)


Release 4.201.104 from 2020-02-18
=================================

thea.dispo
-Home -> Current schedule: Activities from the variants are also displayed. (Bug#15570 | category 3 - Medium)

Miscellaneous
-Address plan: The column width is no longer displayed and cannot be changed. (Bug#15571 | category 3 - Medium)
-Occupation: The default value for the position is 0 in the database. (Bug#15574 | category 3 - Medium)


Release 4.201.103 from 2020-02-14
=================================

thea.dispo
+Productions -> Standard cast: An English role designation can be stored. (Feature#15558)

Miscellaneous
+Report -> Presentation budget: Choral allowances can also be issued for unoccupied Vst. (Feature#15554)
-Default cast: Users with write rights can read locked default casts. (Bug#15553 | category 3 - Medium)


Release 4.201.101 from 2020-02-13
=================================

thea.dispo
-Activity details: When you map a subscription, you get an IndexOutOfRangeException. (Bug#15551 | category 3 - Medium)

Miscellaneous
-Contract documents: "Zero Reference Exception" when clicking Open a document. (Bug#15552 | category 3 - Medium)


Release 4.201.100 from 2020-02-11
=================================

thea.dispo
+Absence Planning -> Artistic Department: Absences for a day are now displayed in a specified order. (Feature#15243)
+Productions -> Costs: The "Access to Fee Data" contract authorization is now required for reading and writing for role fees. (Feature#15332)

thea.perso
+Rapport: option to see week/day values from "other accounts". (Feature#14403)
+Roster: The demand display updates after scheduling and changes to staffing requirements. (Feature#15377)
+Service plan: A feature is available to schedule the default tasks. (Feature#15386)
+Roster -> Personal roster Mailen: The table of recipients can be sorted differently via the header. (Feature#15479)
+Roster: There is now a tooltip for the daily note. (Feature#15504)

Miscellaneous
+Contracts -> Choir/Orchestra: Periods for part-time work can be deposited. (Feature#15225)
+Plan/Daily Plan: Linked activities can be filtered out using an activity type filter. (Feature#15303)
+Development of a break rule: In the case of shared services, an unpaid break of 30 minutes should always be deducted (from a theoretical employment period of 1 minute). (Feature#15354)
+Development of a filter to filter by the contract date status in the contract search, for thea.perso-contracts. (Feature#15358)
+Deposit one color per workspace group. When you assign a task, the color is applied to the layer color. (Feature#15362)
+Roster: The default tasks can be assigned automatically when the demand is accepted. (Feature#15381)
+Budget Game Plan - Activities of all modules can be displayed. (Feature#15409)
+Roster> Allowances per day: The size of the window is saved per user. (Feature#15417)
+Absence Planning: Highlight the person/day on which the mouse is located. (Feature#15421)
+Time account per month: A column with the personnel number is displayed in the tabular view. (Feature#15429)
+Master Data -> Templates: Templates can be edited without Word, the available merge fields are displayed. (Feature#15433)
+Notifications: Multiple windows for the same notification are no longer displayed. (Feature#15474)
+Productionsplan: The Productionplanabsencelist field can now be grouped by person. (Feature#15547)

thea.order
+Order validation: Budget period can be closed for orders/validations. (Feature#14399)

thea.transfer
+Billing Department (manual): added a filter for types of contracts. (Feature#5328)

thea.works
-thea.works: "Open roster" will lead to an error if the roster is not loaded. (Bug#15497 | category 4 - Low)


Release 4.196.133 from 2020-02-11
=================================

Miscellaneous
-Send contact -> letter: Templates ending in .dotm create docx-documente. (Bug#15546 | category 3 - Medium)


Release 4.196.132 from 2020-02-10
=================================

Miscellaneous
-Dispo -> Preview: When the Attachment Service is loaded, an error message may occur. (Bug#15526 | category 3 - Medium)
-Master data -> General: The year-end closing types are no longer displayed and can no longer be edited/supplemented, etc. (Bug#15527 | category 3 - Medium)


Release 4.196.131 from 2020-01-31
=================================

thea.dispo
-Productions: If you click in an empty area in the production list, and then click on the previously selected production, an empty production is displayed. (Bug#15512 | category 4 - Low)

Miscellaneous
-Roster (occupations): In departments where you have only one reading right, you can still occupy X, which leads to an exception. (Bug#15289 | category 4 - Low)
-Reminders: Cannot change the refresh interval in the settings. (Bug#15516 | category 3 - Medium)
-Activities: Saving the "locked" feature takes too long. (Bug#15525 | category 3 - Medium)


Release 4.196.130 from 2020-01-29
=================================

Miscellaneous
-Pay and service data export does not export different payout pay type. (Bug#15347 | category 3 - Medium)


Release 4.196.129 from 2020-01-28
=================================

Miscellaneous
-Productions -> Standard cast: If the cast is stored directly at the installation of a role, it is not saved. (Bug#15517 | category 3 - Medium)


Release 4.196.128 from 2020-01-28
=================================

thea.perso
-Roster print: Totals can no longer be spent before the roster entries. (Setting is ignored). (Bug#15473 | category 3 - Medium)

Miscellaneous
-Home -> Contract tracking: A contract document that replaces another is not displayed as ToDo. (Bug#15493 | category 3 - Medium)

thea.works
-thea.works: No tasks are displayed between 00:00 and 05:00. (Bug#15503 | category 3 - Medium)


Release 4.196.127 from 2020-01-27
=================================

thea.dispo
-Dispo: When you lock/share an activity from the context menu, the related activities are not locked/shared. (Bug#15494 | category 3 - Medium)

thea.perso
-Absence planning: Colors are not overwritten. (Bug#15458 | category 3 - Medium)

thea.transfer
+Cashier orders: Automatically created cashier orders now always have the contract owner as the owner. (Feature#15508)


Release 4.196.126 from 2020-01-20
=================================

Miscellaneous
-Contacts/Employees: Assignments cannot be deleted if the assigned contact is set as the contact person. (Bug#15452 | category 3 - Medium)
-Total Formulas -> Absence Count: Up to the current week, only the Monday of the current week counts. (Bug#15457 | category 3 - Medium)
-Budget: Management mask cannot be opened if multiple owners are assigned to a cost center. (Bug#15462 | category 3 - Medium)
-Productions -> Costs: Flat-rate packages without payout dates are not spent. (Bug#15471 | category 3 - Medium)


Release 4.196.124 from 2020-01-15
=================================

thea.orchester
-Choir/Orchestra: The "Services in Balancing Period" formula has counted services of incorrect periods for week-based settings that begin with the playing time. (Bug#15455 | category 3 - Medium)

Miscellaneous
-Contacts: Entries in the cast history cannot be deleted automatically. (Bug#15449 | category 3 - Medium)
-Merge Contacts: When you open the detail window, an error message occurs. (Bug#15450 | category 3 - Medium)
-Choir/Orchestra Billing: Some data constellations have an error. (Bug#15453 | category 3 - Medium)


Release 4.196.123 from 2020-01-14
=================================

thea.perso
-Schedule: Schedule a working time model does not plan the time-correct working time model, but always the first. (Bug#15445 | category 3 - Medium)

Miscellaneous
-Choir/Orchestra Billing: Daily allowances are not issued if there was no activity on the day. (Bug#15444 | category 3 - Medium)
-Address plan: Schedules for artists of a season are no longer taken into account standard casts of production teams. (Bug#15447 | category 3 - Medium)


Release 4.196.122 from 2020-01-13
=================================

thea.dispo
+Dispo Reports -> Dates for Production: The people are now sorted by role position, occupation rank and group position. (Feature#15440)

Miscellaneous
-Address plan: If the contact range is specified in the grouping or collation, a NullReferenceException occurs when you create it. (Bug#15446 | category 3 - Medium)

thea.transfer
-Cashier arrangements -> Export: When all lines are output to a table, it may happen that the table is output multiple times. (Bug#15439 | category 3 - Medium)
 The changes may require you to customize templates. When all positions of several cash orders are output to a table, allcashcommandpositions or allcompactcashcommandpositions must now be used.


Release 4.196.121 from 2020-01-07
=================================

thea.orchester
-Service formula: Aid is partially taken into account for the ambulance service. (Bug#15437 | category 3 - Medium)

Miscellaneous
-Personnel: Needs planning> Qualifications cannot be assigned. (Bug#15416 | category 3 - Medium)


Release 4.196.120 from 2020-01-06
=================================

Miscellaneous
-Productions: Deleting a production produces a SqlException. (Bug#15415 | category 3 - Medium)


Release 4.196.119 from 2020-01-03
=================================

Miscellaneous
-Sql exception when creating subscriptions. (Bug#15407 | category 3 - Medium)
-Contracts - "Contract Damaged" Binding Exception for Workspace. (Bug#15408 | category 3 - Medium)


Release 4.196.118 from 2020-01-02
=================================

Miscellaneous
-Contacts -> Calendar: If the holiday is displayed from several years and a holiday is entered on 31.12., we incorrectly counted half a day in the second period. (Bug#15406 | category 3 - Medium)


Release 4.196.117 from 2019-12-30
=================================

Miscellaneous
+Productions -> Game Plan: The column "DepartmentAl Remark" can be displayed,. (Feature#15394)


Release 4.196.116 from 2019-12-23
=================================

thea.chor
-Dispo :Dispo: The "occupations in view" formula has a DivideByZeroException if "Eligible Services and Travel Services" is to be counted. (Bug#15393 | category 3 - Medium)


Release 4.196.115 from 2019-12-23
=================================

thea.perso
-Report: Roster change is not issued. (Bug#15340 | category 3 - Medium)

Miscellaneous
-Personal Calendar: The current season is not preselected. (Bug#15391 | category 3 - Medium)

thea.export
-Game plan export -> CSV/XML: When running, a SqlException occurs when a filter is set to the owners of the activity. (Bug#15392 | category 3 - Medium)


Release 4.196.113 from 2019-12-18
=================================

thea.dispo
-History (also on home page): A SqlException occurs when filtering via stages. (Bug#15375 | category 3 - Medium)
-Automatic import of game plan data -> Theasoft v4 CSV: The mapping for the stages cannot be set. (Bug#15376 | category 3 - Medium)

Miscellaneous
-Schedule> Schedule working time model: If two working time models are stored, the working time model is not written. (Bug#15369 | category 3 - Medium)

thea.contact
-Contact search: Search by phone number, e-mail, fax, etc. is not possible. (SqlException). (Bug#15374 | category 3 - Medium)


Release 4.196.111 from 2019-12-17
=================================

thea.dispo
-Productions -> Countdowns: The set stage is no longer displayed and cannot be changed. (Bug#15366 | category 3 - Medium)

thea.perso
-Report: Credit in foreign account no longer credits monthly values with a third-party account. (Bug#15353 | category 3 - Medium)


Release 4.196.108 from 2019-12-16
=================================

thea.dispo
-Person -> Calendar: When filtering by activity type, busy activities are additionally displayed as unoccupied activity from the default cast. (Bug#15351 | category 3 - Medium)

thea.perso
-Enter absences: If the template for the absence message has a Distributor, an exception occurs. (Bug#15348 | category 3 - Medium)

Miscellaneous
-Master data: Distribution entries cannot be managed. (SqlException). (Bug#15349 | category 3 - Medium)
-Dispo: An exception occurs when opening, because a stage is specified twice in the stage filter in a column in the layout. (Bug#15350 | category 3 - Medium)
-Dispo: If the out-of-office column specifies the in/out reason filter, a SqlException occurs when the MRP is opened. (Bug#15352 | category 3 - Medium)


Release 4.196.106 from 2019-12-13
=================================

thea.dispo
-Dispo: When you create a performance with countdowns, which you also want to fill, there is a NullReferenceException. (Bug#15346 | category 3 - Medium)

thea.order
-Orders: Page can no longer be opened because an argument exception occurs when loading the sort. Cause appears to be column budget. (Bug#15345 | category 3 - Medium)


Release 4.196.105 from 2019-12-13
=================================

Miscellaneous
-Daily Schedule: Adding cast doesn't happen. (Bug#15342 | category 3 - Medium)


Release 4.196.104 from 2019-12-13
=================================

Miscellaneous
-Timetable group: Short name and name are swapped. (Bug#15343 | category 3 - Medium)
-Alphabetical daily schedule cannot be spent. (Bug#15344 | category 3 - Medium)


Release 4.196.103 from 2019-12-12
=================================

Miscellaneous
-Contacts -> Calendar -> Table view: The date cannot be changed. (Bug#15339 | category 3 - Medium)


Release 4.196.102 from 2019-12-12
=================================

thea.dispo
-Dispo: Newly created production does not allow subscription assignment. (Bug#15324 | category 3 - Medium)

thea.orchester
-Orchestra Roster: The Services in Period formula generates an exception when the different game start is used in combination with "up to the selected week". (Bug#15283 | category 3 - Medium)

Miscellaneous
-DispoReports -> Overplay performances: "Subgame fees" are only issued if at least one performance has been played. (Bug#15314 | category 4 - Low)


Release 4.196.100 from 2019-12-11
=================================

thea.dispo
+Default cast -> Print: "actorsgroupedbyrole" can now be output separately by single roles and groups. (Feature#15034)
+Instrumentation per production -> Printing: Productions without casts can also be printed. (Feature#15211)
+Dispo: If "Go To" selects a month that is only proportionally in the game time, the first visible day is now started. (Feature#15248)
-Dispo Reports -> Change overview: Changes to the 1st occupation are issued as changes to the 2nd occupation. (Bug#15320 | category 3 - Medium)
-Dispo -> Release/Lock Game Plan: Activities where you do not have a write right for the activity type will result in an exception. (Bug#15321 | category 3 - Medium)

thea.perso
+Perso Reports -> Should/Is Comparison: The target variant can now be selected. (Feature#15023)
+Cashier arrangements: Cashier arrangements for thea.perso can be created with "Create cashier arrangements". Also replaces "Technical Assistance Billing". (Feature#15106)
+Implementation of a report to issue the number of working days per week (in columns) and persons (rows). (Feature#15187)
+Enter absence: Only people on whose roster you have writing rights (through the department in the contract or via "Show in Department" are offered). (Feature#15220)
-Cashier arrangement: Column output settings are not applied to the settlement value. (Bug#15263 | category 3 - Medium)
-Schedule: Schedule a shift for the day cannot be canceled via the message dialog (e.g. rest time overlap). (Bug#15290 | category 3 - Medium)
-Board -> Detail view: When mapping to an activity, a null reference exception occurs. (Bug#15302 | category 3 - Medium)

thea.orchester
+Totals: The service cut can be calculated for the sick. (Feature#15253)

thea.chor
+Productions -> Department -> Printing (occupation overview): Productions without own activities (only as part of multi-parts) are also issued. (Feature#15275)

Miscellaneous
+Master data -> Time accounts: Default settings for formulas can be loaded. (Feature#14880)
+Plans/Documents: The internal ID can be output from the stage. (Feature#14962)
+Web sharing of casts: Performers and the management team (among others) can be shared separately for web export. (Feature#14971)
+Total columns: Free days in a row. (Feature#15009)
+Dispo reports -> "Service extrapolation by weeks": The report can be output with Excel formulas. (Feature#15043)
+Master data -> Allowances: A time account must always be specified. (Feature#15047)
+Time accounts: Members of the Run Data Cleanup group can delete time accounts even if there are still monthly entries. (Feature#15064)
+Time account formula: All holiday bonuses are calculated using the Holiday Surcharge formula, and C Allowances are calculated using Daily Hours. (Feature#15068)
+Absence Planning: The person's names now offer a context menu that allows the contract and contact to be opened. (Feature#15093)
+Absence planning: The person's name now also displays the planning note (from the contract). (Feature#15097)
+In the case of the contract installation, the behavior was improved for temporarily invalid maturities (From>To)). (Feature#15124)
+Chorus report: Implementation of an option group the performance statistic by productions. (Feature#15166)
+Contacts -> Permissions for other groups: Additional rights can be granted, such as access to detailed data. (Feature#15179)
+In the calculation of the contract price, we will add the "Dues %" from the contract-type. (Feature#15183)
+Reminders: The list of your own reminders can now be updated automatically. (Feature#15269)
+Absence Planning: The tag now displays a tooltip, and the cast/absence tooltip now contains the tag, person name, and stage. (Feature#15309)
-Budget management: The cost of budget periods cross-contracts are not allocated correctly. (Bug#15038 | category 3 - Medium)
-Report: Sum of presentation and credit incorrectly. (Bug#15061 | category 3 - Medium)
-Roster (occupations): No people are displayed in weeks without activities. (Bug#15234 | category 3 - Medium)
-Dispo reports -> dates for production do not take into account the times of absences. (Bug#15336 | category 3 - Medium)

thea.order
+Budget year closure: the export should not take into account the orders from closed budget years. (Feature#15170)
+Search orders: show only the supplier which have orders in the selected period (also non-active orders). (Feature#15175)


Release 4.195.139 from 2019-12-11
=================================

thea.dispo
-Cast field: The filter after "guest" checks after the existence of a guest contract, correct would not be an ensemble contract. (Bug#15273 | category 4 - Low)
-Schedule countdown: If you have already opened the view, "Execute Action" will not be activated correctly again after pressing it once. (Bug#15281 | category 3 - Medium)

Miscellaneous
-Countdowns can be scheduled even without permissions. (Bug#15286 | category 3 - Medium)


Release 4.195.138 from 2019-11-29
=================================

Miscellaneous
-Copy the cast to the game time -> The default cast is in some cases not copied into the game time. (Bug#15280 | category 3 - Medium)


Release 4.195.137 from 2019-11-26
=================================

thea.dispo
-Occupation details -> History: The non-relevant changes are not visible. (Bug#15261 | category 3 - Medium)

Miscellaneous
-Sql Fail to Merge Contacts. (Bug#15235 | category 3 - Medium)
-Activity Details>Occupations: You can't delete a cast without a role. (Bug#15236 | category 4 - Low)
-Master Data>Occupation Rules: In the detail window, the top row is always preselected. (Bug#15237 | category 4 - Low)
-Paid DFTs reduce weekly overtime. (Bug#15242 | category 3 - Medium)
-Report: Total in month value does not include the factor when values are credited from other accounts that are hidden. (Bug#15259 | category 3 - Medium)
-Contracts -> New contract: Production selection does not print the correct cost object. (Bug#15260 | category 3 - Medium)
-Merge contacts: A SqlException occurs when updating the default cast. (Bug#15291 | category 3 - Medium)


Release 4.195.136 from 2019-11-15
=================================

thea.dispo
-Absence Planning -> NV Solo: In case of a planned absence with "1/2 Free Afternoon", the number is always 1 day too much. (Bug#15233 | category 3 - Medium)


Release 4.195.135 from 2019-11-14
=================================

thea.dispo
-Absence planning: For artistic departments, the total values are not output in print and the presence/absence data has slipped in the column. (Bug#15230 | category 3 - Medium)


Release 4.195.134 from 2019-11-11
=================================

Miscellaneous
-Game plan export -> Flexexport: Errors in cast output. (Bug#15218 | category 3 - Medium)


Release 4.195.133 from 2019-11-11
=================================

thea.orchester
-Contracts -> Orchestra: The position is only saved if you have previously switched to a different input field. (Bug#15209 | category 3 - Medium)

Miscellaneous
-Master data: The different start of the season for orchestra and choir cannot be set with the corresponding admin rights. (Bug#15210 | category 3 - Medium)


Release 4.195.132 from 2019-11-08
=================================

Miscellaneous
+Absence planning: Also showing casts from "other" contracts. (Feature#15203)
-Default cast -> Fill roles by: If the occupation is canceled, e.g. due to an overlap, an error message will occur. (Bug#15207 | category 3 - Medium)


Release 4.195.131 from 2019-11-07
=================================

Miscellaneous
-Standard staffing: Changes in the standard staffing result in non-reshuffles in activities to be filled automatically. (Bug#15196 | category 3 - Medium)
-Productions: Delete role is not possible, as standard cast cannot be erased. (Bug#15197 | category 3 - Medium)


Release 4.195.130 from 2019-11-05
=================================

thea.chor
-Choir-/Orchestra Billing: If the "Calculation" option is active, no data will be returned. (Bug#15193 | category 3 - Medium)


Release 4.195.128 from 2019-10-30
=================================

thea.export
-Program data export -> FlexExport: An exception error (NullReferenceException) may occur when running. (Bug#15157 | category 3 - Medium)


Release 4.195.124 from 2019-10-29
=================================

thea.dispo
+Master data -> Reasons for annance/ absence: The reasons for the absence of free-day planning can be created via a button. (Feature#15152)
-Productions -> Standard cast: The 4th cast is not saved. (Bug#15151 | category 3 - Medium)


Release 4.195.123 from 2019-10-29
=================================

thea.dispo
-Contacts -> Contracts: When opening the document via the paper clip, the program occasionally hangs up. (Bug#15146 | category 3 - Medium)

thea.perso
-Report -> Services from Working Time: When creating the report, an InvalidOperationException occurs if 2 absences have been scheduled in one day. (Bug#15145 | category 3 - Medium)

Miscellaneous
-Report -> Standby: When the number is counted, negative values can occur in connection with levels. (Bug#15141 | category 3 - Medium)
-Absence planning: There is an exception error (NullReferenceException) when printing. (Bug#15148 | category 3 - Medium)


Release 4.195.122 from 2019-10-24
=================================

thea.dispo
+Productions -> Default cast: When locking a role via the context menu, its replacement cast is now also blocked. (Feature#15128)
-Productions -> Default cast: "Remove casts" deletes only the default cast of the selected rows for role groups. (Bug#15119 | category 3 - Medium)


Release 4.195.121 from 2019-10-24
=================================

thea.dispo
+Productions -> Standard staffing / Replacement: For a newly registered standard staffing / replacement, the characteristic "Is Locked" is taken over from the role. (Feature#15114)
-Productions -> Default cast: There is an exception when locking role groups (SqlException/UniqueIndexException). (Bug#15112 | category 3 - Medium)
-Productions -> Replacement: After locking/unlocking, the display is not updated. (Bug#15113 | category 3 - Medium)

Miscellaneous
-Absence planning -> Schedule days off: Vacations are no longer overplanned with days off. (Bug#15118 | category 3 - Medium)


Release 4.195.120 from 2019-10-23
=================================

thea.dispo
+Automatic import of game plan data -> Evis: Various improvements (e.g. more informative logging of exception errors, checking for date in game time before import, no partial storage of activities if errors occurred). (Feature#15101)

Miscellaneous
-Mr. Po Reports: Production Cost -> Multiple Period-Dependent Rules for Sample Fees are not included in the total. (Bug#15059 | category 3 - Medium)
-Roster: When calculating the working time of absences, taking into account the percentages of part-time contracts, the result is not rounded. (Bug#15091 | category 3 - Medium)
-Production -> Default cast: An exception error occurs when deleting a role that still has a default cast . (Bug#15105 | category 3 - Medium)
-Rapport for artistic abbot: It cannot be spent for several months at the same time. (Bug#15110 | category 3 - Medium)


Release 4.195.119 from 2019-10-22
=================================

Miscellaneous
-Productions -> Department -> Production overview: No 2nd occupations are issued. (Bug#15092 | category 3 - Medium)


Release 4.195.118 from 2019-10-21
=================================

Miscellaneous
-Absence planning: Shifts of people that appear only in the department result in an exception error in Mouseover. (Bug#15063 | category 3 - Medium)


Release 4.195.117 from 2019-10-16
=================================

thea.orchester
-Contracts: Newly filed compensation rules are not saved when a budget check is performed. (Bug#15058 | category 3 - Medium)


Release 4.195.116 from 2019-10-14
=================================

Miscellaneous
-RoleConverter -> UnderstudyEntries: Entries are not filtered by season. (Bug#15056 | category 3 - Medium)


Release 4.195.115 from 2019-10-14
=================================

Miscellaneous
-Reminders: When reminders are scheduled for another user, they are also triggered on themselves until the program is restarted. (Bug#15052 | category 3 - Medium)


Release 4.195.112 from 2019-10-11
=================================

thea.dispo
-Occupation per production: All casts are occupied with "1st occupation". (Bug#15042 | category 3 - Medium)

thea.perso
-Workshops -> AZ Distribution Rules (LI): For double shifts, the hours are not evaluated correctly. (Bug#15040 | category 3 - Medium)


Release 4.195.111 from 2019-10-10
=================================

Miscellaneous
+Time accounts: The settings per plan are evaluated for all accounts. (Feature#15030)
-productions: it is not possible to cast an understudycast. (Bug#15029 | category 3 - Medium)


Release 4.195.107 from 2019-10-09
=================================

Miscellaneous
+Total formula Absent: Counting in half days off is possible. (Feature#14996)
-Contact calendar: The standard cross-play time cast is not displayed at . (Bug#15013 | category 3 - Medium)
-Billing: Unpaid samples will not be deducted. (Bug#15021 | category 3 - Medium)
-Department alcommand: Entries are only possible via the context menu. (Bug#15022 | category 3 - Medium)


Release 4.195.106 from 2019-10-02
=================================

thea.dispo
-Dispo: The column for the choir/orchestra of an activity no longer displays the name of the choir/orchestra and the role in the selection list. (Bug#15002 | category 3 - Medium)

thea.perso
-Untime interruption formula: For shifts ending after midnight, the calculation is incorrect. (Bug#15001 | category 3 - Medium)


Release 4.195.105 from 2019-10-02
=================================

Miscellaneous
+Master data -> Playtimes / Settings per owner group and game time: The Owner Group column is now displayed. (Feature#14986)
-"Automatic free planning" also plans free on attendance days. (Bug#14990 | category 3 - Medium)


Release 4.195.104 from 2019-10-01
=================================

thea.dispo
-Contract: The agency and the theatre share are no longer stored. (Bug#14981 | category 3 - Medium)

thea.perso
+Daily Hours formula: Added the "Consider time account filters for calculations" setting and the offset settings have been extended to "Only if single account". (Feature#14991)


Release 4.195.103 from 2019-09-30
=================================

thea.dispo
-Occupation per production: A NullReferenceException occurs when you open the context menu for a cast. (only if the default cast is cross-game time). (Bug#14979 | category 3 - Medium)

Miscellaneous
+Report formula: In all 8 at distribution rules, it is possible to configure that certain accounts are not taken into account (fire services). (Feature#14781)


Release 4.195.102 from 2019-09-25
=================================

thea.perso
+Roster: The calculation of the totals that use the Formula Total Time Account has been accelerated. (Feature#14949)

Miscellaneous
+Absence planning: Failed appears crossed out. There is a Go to Today button available. (Feature#14933)
-Merge contacts: Bests are not merged. (Bug#14956 | category 3 - Medium)


Release 4.194.128 from 2019-09-25
=================================

Miscellaneous
-Roster: The colors in the game plan are not set until the 2nd click. (Bug#14959 | category 3 - Medium)
-Contacts: Search pane does not store Search in. (Bug#14960 | category 4 - Low)


Release 4.194.127 from 2019-09-23
=================================

Miscellaneous
-Master data: New task areas use the settings of the Soli* task pane, which inadvertently changes them. (Bug#14957 | category 3 - Medium)


Release 4.194.126 from 2019-09-20
=================================

thea.perso
-Roster: Rest check for days off is also performed in case of overtime compensation. (Bug#14954 | category 3 - Medium)

Miscellaneous
-Roster (occupation): The formula number of appointments in year-end periods uses the wrong account for lectures. (Bug#14953 | category 3 - Medium)


Release 4.194.124 from 2019-09-19
=================================

thea.dispo
-Production: When sending e-mail to the default cast, the correct recipients are not always returned. (Bug#14946 | category 3 - Medium)


Release 4.194.123 from 2019-09-17
=================================

Miscellaneous
-Activity details: The orchestral comment is not output. (Bug#14895 | category 3 - Medium)


Release 4.194.122 from 2019-09-09
=================================

thea.dispo
-Absence planning: Casts of public activities are not shown in bold if the activity type has a background color. (Bug#14917 | category 3 - Medium)

thea.transfer
-Cashier arrangement -> CSV Export: The settings window does not display the settings read-only if you do not have permission to the owner of the export. (Bug#14894 | category 3 - Medium)


Release 4.194.121 from 2019-09-05
=================================

Miscellaneous
-Plans: The owner group filter cannot be set from the persStatusList output field. There is an "invalid property value" error. (Bug#14896 | category 3 - Medium)
-Contracts: With higher DPI, some input fields are no longer visible. (Bug#14897 | category 3 - Medium)
-Employees/Contacts: Attachments with the permission "usable" are no longer usable in expressions. It only works with appropriate permissions. (Bug#14910 | category 3 - Medium)

thea.order
-Orders: When viewing/opening the attachments, the error message "A closed data stream cannot be accessed" will be displayed. (Bug#14908 | category 3 - Medium)
-Orders: When you repeatedly change and save an order in the detail view, you receive a message that it is not possible to save. (Bug#14909 | category 3 - Medium)


Release 4.194.119 from 2019-09-02
=================================

Miscellaneous
-Reasons for in-and-out: At the standard start and end time, the labels are swapped (from- >to). (Bug#14893 | category 3 - Medium)


Release 4.194.118 from 2019-08-28
=================================

thea.perso
+Master data -> Department: "Undo monthly closing" now also opens any completed annual accounts. (Feature#14756)
-Service plan -> Print: If "Comment on layer" and "Services in rows" is enabled in the layout, an argumentCanOfRangeException may occur. (Bug#14875 | category 3 - Medium)


Release 4.194.117 from 2019-08-26
=================================

Miscellaneous
+Contact Calendar -> Absences: The column settings can now be reset from the context menu. (Feature#14871)
-Contact Calendar -> Absences: Column widths grow each time the contact calendar is opened. (Bug#14870 | category 3 - Medium)


Release 4.194.116 from 2019-08-23
=================================

thea.dispo
+Countdowns: The cast of the show is now used to cast the countdown activities. (Feature#14681)
-Dispo: A NullReferenceException can occur when entering the price group. (Bug#14869 | category 3 - Medium)


Release 4.194.114 from 2019-08-22
=================================

thea.orchester
-Contracts -> Orchestra: The department or instrument, position and indication for planning are no longer visible. (Bug#14856 | category 3 - Medium)

Miscellaneous
-Dispo: Schedule countdown from the context menu does not work. (Bug#14857 | category 3 - Medium)


Release 4.194.113 from 2019-08-19
=================================

Miscellaneous
-Dispo -> Create Series: Only 8 months are displayed. (Bug#14849 | category 3 - Medium)


Release 4.194.112 from 2019-08-16
=================================

Miscellaneous
-Dispo: Countdowns that do not stand on "create when planning" are also created during scheduling. (Bug#14847 | category 3 - Medium)


Release 4.194.111 from 2019-08-14
=================================

Miscellaneous
-Dispo: The "Absent" column shows 'from '00:00' on the first day of absence, the last day is not displayed. (Bug#14832 | category 3 - Medium)


Release 4.194.110 from 2019-08-14
=================================

thea.dispo
-PerformanceProfile -> Edit Profile: The artwork filter does not load the settings correctly if a selected division has a single type of work. (Bug#14830 | category 3 - Medium)

Miscellaneous
-Activity Details: Selecting the "Other" page is an error. (Bug#14828 | category 3 - Medium)


Release 4.194.109 from 2019-08-13
=================================

Miscellaneous
-Report: The monthly total for the DFT column is not output. (Bug#14789 | category 3 - Medium)
-Dispo: Changed column settings are discarded when the settings dialog is opened. (Bug#14795 | category 3 - Medium)
-Master data -> Departments: DispoAdmin cannot create areas. (Bug#14799 | category 3 - Medium)

thea.works
-thea.works: The table displays a shift next to the name, even though no shift is scheduled at all. (Bug#14760 | category 3 - Medium)


Release 4.194.108 from 2019-08-07
=================================

Miscellaneous
-Orchestra/Choral Contracts: Contract areas of the "Info" page are displayed on the "Other" page. (Bug#14786 | category 4 - Low)


Release 4.194.107 from 2019-08-02
=================================

Miscellaneous
-Dispo: If an activity is scheduled with countdown, an error occurs. (Bug#14779 | category 3 - Medium)


Release 4.194.106 from 2019-08-01
=================================

Miscellaneous
-Services (occupations): There is an error displaying the total column for absences. (Bug#14777 | category 3 - Medium)


Release 4.194.104 from 2019-07-19
=================================

thea.dispo
+Edit Dispo -> Series: Web sharing, pre-sale sharing, and remarks can now be set. (Feature#14506)
+Productions -> Standard casts: It is easier to send an email only to parts of the standard cast. (e.g. only to performers, or only via BCC). (Feature#14510)
+Contracts: A function is now available to link the contract to existing occupations. (Feature#14514)
+Reasons for absence (sick, leave) can only be seen with appropriate authorization, without this only general information (e.g. "absent"). (Feature#14598)
+Plan -> Occupation / Absences: Absence plans can now be grouped by absence type. (Feature#14602)
+Absence planning: Absences of the modules thea.dispo, thea.ballett, thea.orchester, thea.chor can also be displayed. (Feature#14606)
+Productions: After changing the duration, the output of the end time can be activated with already planned performances. (Feature#14625)
+Planfield ActivityDepartmentInformation: The ShiftCount field returns not only the overridden values, but also the default values. (Feature#14687)

thea.perso
+Allow the cost unit assignment without a present shift. (Feature#14489)
+Roster -> Total columns: The totals from the Formula "Total Time Account" can be displayed in color, depending on the threshold values deposited. (Feature#14667)
+Time accounts: Time accounts can be excluded in the formula settings for "Allowance for Work in the Period.". (Feature#14671)
-Roster: The formulas in the roster give the wrong values for individuals who appear only in the Department. (Bug#14439 | category 3 - Medium)

thea.orchester
+Contracts: A function is now available to link the contract to existing occupations. (Feature#14514)
+Reasons for absence (sick, leave) can only be seen with appropriate authorization, without this only general information (e.g. "absent"). (Feature#14598)
+Plan -> Occupation / Absences: Absence plans can now be grouped by absence type. (Feature#14602)
+Absence planning: Absences of the modules thea.dispo, thea.ballett, thea.orchester, thea.chor can also be displayed. (Feature#14606)
+Roster (occupations): The formula "Number of occupations in week" has been changed to formula "Number of casts in view (usually week).". (Feature#14619)
+Planfield ActivityDepartmentInformation: The ShiftCount field returns not only the overridden values, but also the default values. (Feature#14687)

thea.chor
+Contracts: A function is now available to link the contract to existing occupations. (Feature#14514)
+Reasons for absence (sick, leave) can only be seen with appropriate authorization, without this only general information (e.g. "absent"). (Feature#14598)
+Plan -> Occupation / Absences: Absence plans can now be grouped by absence type. (Feature#14602)
+Absence planning: Absences of the modules thea.dispo, thea.ballett, thea.orchester, thea.chor can also be displayed. (Feature#14606)
+Roster (occupations): The formula "Number of occupations in week" has been changed to formula "Number of casts in view (usually week).". (Feature#14619)
+Planfield ActivityDepartmentInformation: The ShiftCount field returns not only the overridden values, but also the default values. (Feature#14687)

Miscellaneous
+Contracts: Contract fields can now also be displayed on the Info and Appointments pages. (Feature#14549)
+Plan: The conditional formatting has been extended, there is now a stage filter, a status filter and the whole condition can be negated. (Feature#14563)
+Plan: A comment can now be made for the output fields. (Feature#14569)
+Master data -> Departments/Contract Types: The "Standards for Settlements" can now be displayed and edited in a matrix. (Feature#14695)
+The WCF service now supports HTTPS. (Feature#14723)
+The configuration of theasoft WCF and theasoft WEB has been simplified. (Feature#14727)
-User management: Inactive users are still visible in the users group. (Bug#14461 | category 4 - Low)
-Activity type changes do not remove existing linked activities. (Bug#14685 | category 4 - Low)
-WCF-Service: Entering an https address under Settings -> Communication leads to error messages. (Bug#14716 | category 4 - Low)

thea.export
+Schedule export: In the export CSV 1.10 and XML 10, the standard duration of a performance is now exported for production. (Feature#14615)
+Schedule export: In the CSV Export 1.10, the ID of the assigned presentation is now exported during activities. (Feature#14659)

thea.transfer
+Cash arrangements: Functions for the creation of cash register arrangements have been standardized. (Feature#14691)


Release 4.193.117 from 2019-07-16
=================================

thea.perso
-Demand -> Personnel Department Requirements: When the season is changed, the old values are not completely removed. (Bug#14739 | category 3 - Medium)


Release 4.193.116 from 2019-07-09
=================================

Miscellaneous
-Rapport -> Output settings are not taken into account in cash register arrangements. (Bug#14713 | category 3 - Medium)
-In "Occupation per production" all contacts are displayed with "Show all contacts", including companies. (Bug#14717 | category 4 - Low)


Release 4.193.115 from 2019-06-25
=================================

thea.dispo
-Occupation per production -> Print view: The cast filter is evaluated incorrectly. The people are not spent, but the roles still exist. (Bug#14680 | category 3 - Medium)


Release 4.193.114 from 2019-06-21
=================================

Miscellaneous
+thea.works: A start time can be specified for day-to-day tasks. (Feature#14651)
-RapPort: Transfers in other accounts that are multiplied by a factor, be rounded incorrectly. Currently, symmetric rounding is used instead of commercial rounds. (Bug#14247 | category 4 - Low)
-Data cleanup -> Service manager entries: Check for year-end financial statements does not take into account different maturities. (Bug#14675 | category 3 - Medium)
-Data Cleanup -> Schedule entries: "Month completed since" is evaluated incorrectly. The value is added to the month-end financial statements rather than subtracted, which could also delete data after the month's close. (Bug#14676 | category 3 - Medium)
-Data cleanup -> Cashier arrangements: A SqlException occurs when you run it. (Bug#14677 | category 3 - Medium)


Release 4.193.113 from 2019-06-17
=================================

Miscellaneous
+Pläne/Documents: The author of the document can now also be issued if no contact has been assigned to the user. (Feature#14638)
 The FullUserName field returns the full name of the contact, or if the one has not been assigned, the username.
+Pläne/Documents: The fields for linked contacts (ChildContacts/ParentContacts) now supports filtering by contact area. (Feature#14647)
-Contacts Merge: When the contacts attachements have come a mistake. (Bug#14543 | category 3 - Medium)
-Contacts -> attachments and auditions are not merged. (Bug#14544 | category 3 - Medium)
-Contact/Contact Search -> Letter/Series Letter: When inserting images, the resolution of the image is not taken into account when determining the size. (Bug#14623 | category 3 - Medium)
-Contract document: Expressions does not allow conditional output of salaries, checking whether billing rules exist. (Bug#14642 | category 3 - Medium)
-Master Data: When creating new additional data types that have additional settings, you can get an InvalidCastException when you save. (Bug#14655 | category 3 - Medium)


Release 4.193.111 from 2019-06-14
=================================

thea.dispo
-Dispo -> Proposal: When opened, there is a SqlException (incorrect syntax near ' au '.). (Bug#14624 | category 3 - Medium)

thea.perso
-Monthly closings: Compensation periods are also created in the past. (Bug#14630 | category 3 - Medium)

thea.orchester
-Choir/orchestra settlement: foreign language fees are no longer issued. (Bug#14488 | category 3 - Medium)
 However, this is only if the number of performances has not been reached within a game time.
-Choral/orchestral billing: When billing, grouped by person, the production filter is not taken into account. (Bug#14537 | category 3 - Medium)

thea.chor
-Choir/orchestra settlement: foreign language fees are no longer issued. (Bug#14488 | category 3 - Medium)
 However, this is only if the number of performances has not been reached within a game time.
-Choral/orchestral billing: When billing, grouped by person, the production filter is not taken into account. (Bug#14537 | category 3 - Medium)

Miscellaneous
+Master data -> Department: When you finish monthly, the options "Calculate values only" and "Create billing" are now also available. (Feature#14632)


Release 4.193.110 from 2019-06-07
=================================

thea.perso
-Time accounts per month: When entering a correction via the dialogue, a TargetInvocationException (contract with ID 0 not found) occurs. (Bug#14610 | category 3 - Medium)

Miscellaneous
+Contact/Contact Search -> Letters/Serial Letters: The profile picture and signature image can now be accessed independently of the "Contact Attachment Category". (Feature#14594)
-Dispo: When you open the settings, there may be a NullReferenceException. (Bug#14593 | category 4 - Low)

thea.contact
+Contacts: If a new profile picture is changed via the profile picture display, the permission is now automatically set to "Public.". (Feature#14588)
-Contact Search -> Series Letter Create: If target file names provide a file that is not supported by Word, an error message comes in. (Bug#14587 | category 4 - Low)


Release 4.193.108 from 2019-05-29
=================================

Miscellaneous
-Address plan: There is an exception within the settings for ChildContacts/ParentContacts if you also use the ChildContacts/ParentContacts field. (Bug#14580 | category 3 - Medium)


Release 4.193.107 from 2019-05-28
=================================

thea.dispo
-Cast paper: In the case of multi-part productions, the order of the productions is incorrect. (Only if partsdata is NOT used in the document). (Bug#14576 | category 3 - Medium)
-Dispo: Fancy samples are considered in the count. (Bug#14577 | category 3 - Medium)


Release 4.193.106 from 2019-05-28
=================================

thea.orchester
-Production -> department: sample ladies and samples men are no longer issued in the production overview. Occupations of the group have been overwritten by number. (Bug#14463 | category 3 - Medium)

thea.chor
-Production -> department: sample ladies and samples men are no longer issued in the production overview. Occupations of the group have been overwritten by number. (Bug#14463 | category 3 - Medium)


Release 4.193.104 from 2019-05-24
=================================

thea.dispo
-Productions -> Standard cast: When adding a role about "role from task" comes a SqlException (Cannot insert the value NULL into column ' Number '). (Bug#14574 | category 3 - Medium)


Release 4.193.103 from 2019-05-23
=================================

Miscellaneous
-Daily Plan: For daily schedules with different variations in samples and imagination layout, or when issuing absences, the table is not created correctly. (Bug#14562 | category 2 - High)


Release 4.193.102 from 2019-05-22
=================================

thea.dispo
-Plans -> Production Plan: Overlap tests with the standard occupation do not take into account the link between tasks and activity types. (Bug#14497 | category 3 - Medium)
-Plans -> Production plan: Overlap test according to "Vst. Evening occupation otherwise hour occupation" ignores the existing evening cast of rehearsals. (Bug#14532 | category 3 - Medium)
-Plans -> Production plan: When issuing cross-game periods, the overlap tests with the standard cast do not take into account the playing time of the standard cast, hence, for example, double the output of the names. (Bug#14533 | category 3 - Medium)


Release 4.193.101 from 2019-05-17
=================================

thea.dispo
+Daily schedule: When working with dotm templates, then the output files are no longer automatically docm. (Feature#14267)
+Subscription check: Violations of the subscription definition are now displayed instead of an information message as a warning message. (Feature#14301)
+Activity details: The default text from the production can be applied again as the output value in the particular press release. (Feature#14321)
+When registering absences, ideas can also be tested against the standard occupation. (Feature#14333)
+Absences: Requests/messages can be sent without a Distributor as mail. (Feature#14337)
+Activities (detailed view) > Occupations: An email can be written to all occupied persons (as with production). (Feature#14348)
+Works -> occupations: it can be deposited a repertoire. The Repertoire of work appears in productions / persons. (Feature#14366)
+Dispolayout: The stage filters can be used now on a tree with groups. (Feature#14429)
+Contract request: Field production costs takes into account only costs in the contract period. (Feature#14434)
+Contacts: A new tab is now available (auditions) where pre-entry/auditions can be managed. (Must be activated via features). (Feature#14444)
+Dispo: Remarkation changes are now being written into history. (Feature#14498)
+Contacts -> Calendar: Collections do not see a deposition message for absence that is "only" on the same day. (Feature#14502)
-Plan -> one row per day: in the choice list for fields missing some fields, E.g. all of stage. (Bug#14177 | category 4 - Low)
-Creating a series: after the change of the activity type there is a warning on the status that does not explain that permissions are missing. (Bug#14375 | category 4 - Low)

thea.perso
+Master data -> departments: the month-end closing can be undone now only through a function. (Feature#14047)
+Personnel demand planning: the authorization checks for the countdown has been improved (for example when editing) and expanded (now also in the delete, copy, and paste). (Feature#14285)
+Formula "Counts of services from working hours": It can now be specified how much time must be between two shifts in order for another service to be counted. (Feature#14297)
+Time accounts -> formulas "overtime surcharges": The setting "monthly target axe of 4,348 * WoAz" has been added. (Feature#14523)

thea.orchester
+Choir / Orchesterdispo -> opinion production: Contracts which include no days are displayed, are no longer displayed. (Feature#14142)
+Absences: Requests/messages can be sent without a Distributor as mail. (Feature#14337)

thea.chor
+Choir / Orchesterdispo -> opinion production: Contracts which include no days are displayed, are no longer displayed. (Feature#14142)
+Absences: Requests/messages can be sent without a Distributor as mail. (Feature#14337)
+Contacts: A new tab is now available (auditions) where pre-entry/auditions can be managed. (Must be activated via features). (Feature#14444)

Miscellaneous
+Tariff: The setting for sickness, credit of the Az from target plan, now also affects the value for "days off." Labeling has also been adjusted. (Feature#14280)
+School holidays: A regional code can now be deposited for school holidays, which can be used in the issue field of schoolholidays in the filtering plans. (Feature#14293)
+Personal details: The owner tree is then sorted by owner name at the level of the owner only now after owner SortNr. The collation is Modulübergreifend. (Feature#14305)
+Overtime surcharges: Overtime surcharges due to roster changes now take into account the ranking from roster entry status. (Feature#14326)
+Additional fields (contract, person, features, productions, press texts): A minimum height can be specified for multi-line text fields. (Feature#14343)
+Cashier orders -> printing: the filter settings may be issued with. (Feature#14382)
+The report "Fee per contract" may be issued as a "flat list". (Feature#14407)
+Contacts: In the basic data, the profile image is displayed. (Feature#14440)
+Contacts: It can be filtered by "Has any contract". (Feature#14479)
+Contract management: Columns for additional contract areas can be displayed. (Feature#14483)
+Perso reports -> Rapport: The settings page will only appear when it is needed. (Feature#14519)
-Contract management -> New contract: When entering the end date, the start date jumps to today. (Bug#14496 | category 3 - Medium)
-Rapport: Summed columns spend the wrong weekly value. (Bug#14546 | category 3 - Medium)

thea.order
+Budget list: New columns for cost unit code, cost centre code, title account code. (Feature#14391)

thea.transfer
+The cashier orders column settings are stored. (Feature#14411)


Release 4.192.118 from 2019-05-16
=================================

Miscellaneous
-Time accounts per month: A third-party account can be deposited for withdrawals. (Bug#14476 | category 3 - Medium)
-Enly absence: Out Of Range Exception if the period of absence is not shown in the view. (Bug#14534 | category 3 - Medium)


Release 4.192.117 from 2019-05-08
=================================

thea.dispo
-Plan -> one row per day: in "Chronological subdivision" set row heights are not applied to Excel. (Bug#14353 | category 4 - Low)

Miscellaneous
+Personal details -> Own fields can now also contain special characters. (Feature#14527)


Release 4.192.116 from 2019-05-07
=================================

Miscellaneous
-Remote desktop application -> Popups are displayed only once. (Bug#14518 | category 3 - Medium)


Release 4.192.115 from 2019-05-06
=================================

thea.perso
-Report: The issue of "Calculated wage" accounts with the formula "Fee/cost", is not rounded to the second decimal but only on the first. (Bug#14495 | category 3 - Medium)

thea.dispo (web)
-Settings -> Web calendar: works types/categories can only be saved if the Division has more than one type of works. (Bug#14493 | category 3 - Medium)


Release 4.192.114 from 2019-05-02
=================================

thea.dispo
-People -> contracts: the indicator if attachments exist, no longer will be shown and not all contract documents in the contract are then displayed. (Preloading are filters some out). (Bug#14487 | category 3 - Medium)

Miscellaneous
+Contract: the contract document now also billing can output is (E.g. for choral/orchestral backup contracts). (Feature#13849)


Release 4.192.113 from 2019-04-25
=================================

Miscellaneous
-AttachmentService: Attachments will not be saved with a unique file name, thus, attachments can override. (Bug#14477 | category 2 - High)
 Error occurs since 4.191.x. The WCF service on 4.192.103 must be updated to remedy.

thea.contract
-Contracts -> documents: If you have the permission on attachments, some documents are filtered out by the preloading. (May be not cancelled and must be valid). (Bug#14478 | category 3 - Medium)


Release 4.192.111 from 2019-04-23
=================================

thea.dispo
+Contract documents: Now can you be issued the contract information for guest (guestHolidays) and tariff holidays (nonTarifHolidays), as well as year claims (entitlementsList). (Feature#14095)

Miscellaneous
+Choir soloists are occupied in Disporollen, should get not the position of the Treaty as a cast position. (Feature#14456)
-Plan: when you change the period "With locked" is reset. (Bug#14376 | category 4 - Low)
-NAZ distribution: Work generates the wrong supplements on the holiday, when pure is used in the next day. (Bug#14464 | category 3 - Medium)
-RapPort: The formula overtime period for large periods no more return values. (Bug#14465 | category 3 - Medium)
-Report: Emergency services count does not for the formula. (Bug#14466 | category 3 - Medium)
-Roster: "Delete" does not clear the status. (Bug#14468 | category 4 - Low)
-Personal -> Personnel qualification: Filters according to a division that is not associated with productions, an error message comes in. (Bug#14469 | category 4 - Low)

thea.contract
-Contract documents: Deadlines can no longer be removed. (Bug#14433 | category 3 - Medium)


Release 4.192.110 from 2019-04-03
=================================

thea.dispo
-Productions: saving the production can cause an InvalidCastException (application tries to determine whether the duration has been modified). (Bug#14416 | category 3 - Medium)
 Occurs only in exceptional cases and only if the duration has not been changed.
-Dispo: changes without change details are written in the history. (Bug#14422 | category 4 - Low)

thea.perso
+Roster: The loading of the roster is no longer delayed by queries to the JobService (which is included in theasoft of WCF). (Feature#14418)
-Roster: If a task is assigned to a duty roster entry, on their activity, it has no access, it comes a NullReferenceException. (Bug#14424 | category 3 - Medium)


Release 4.192.109 from 2019-03-28
=================================

Miscellaneous
-Plans: In the setting dialogs of output fields (such as cast) the value is not stored by "Always visible?". (Bug#14386 | category 3 - Medium)
-Contacts -> calendar -> occupations: "Show cancelled appointments" has no effect. (Bug#14388 | category 4 - Low)
-Fund arrangement: a value occurred in "Sample -" unpaid per vst. registered, no output. (Bug#14390 | category 3 - Medium)


Release 4.192.108 from 2019-03-26
=================================

thea.dispo
-Dispo -> day view: the selected times (mark) will be overwritten in the details dialog box to modify the production / type of activity. (Bug#14358 | category 4 - Low)


Release 4.192.107 from 2019-03-22
=================================

thea.orchester
-Instrument management: Insurance can be entered directly after entering a value estimate. (Bug#14357 | category 4 - Low)

Miscellaneous
+Contracts: Fees are easier to read for users who have Reader rights. (Feature#14371)
-Report -> NAZ distribution: Non-weekly values are also taken from the previous week. (Bug#14361 | category 3 - Medium)
-Scheduled export: Filter settings &gt; productions - "Occupations to spend" evaluate &lt; causes an error. (Bug#14377 | category 3 - Medium)


Release 4.192.106 from 2019-03-21
=================================

Miscellaneous
+Use the application to wake the computer from sleep mode, should cause no SqlException now. (Feature#14362)
-Countdown: The long comment does not appear. (Bug#14354 | category 3 - Medium)
-Allowances per activity: people with multiple contracts shows the occupation in any contract. (Bug#14355 | category 3 - Medium)
-Roster: Layer from 00:00-00:00 causes exception error in connection with distribution of the NEOC. (Bug#14356 | category 3 - Medium)


Release 4.192.105 from 2019-03-18
=================================

thea.perso
-Week end: The list of concluded departments departments without permission at the end of the week. (Bug#14325 | category 3 - Medium)

Miscellaneous
-RapPort -> free days counts count wrong. (Bug#14331 | category 3 - Medium)
-Master data -> stage -> details: no address (contact) is associated with a stage comes an error message when you assign a contact person. (Bug#14347 | category 3 - Medium)
-Failed to run the database scripts for 4.192.x on SQL Server of versions 2008 and 2008/R2. (Bug#14352 | category 3 - Medium)


Release 4.192.104 from 2019-03-14
=================================

thea.perso
-Roster: No longer to insert using the key combination CTRL-V it, via the context menu it works still. (Bug#14330 | category 3 - Medium)


Release 4.192.101 from 2019-03-13
=================================

thea.perso
+In roster printing services can now be inked if there were changes between the set plan and work plan. (Feature#14122)
+Roster: If the function "Compare to..." is active, then now the roster entries about the ToolTip changes displayed. (Feature#14184)
+Service plan: The report of a person can be called now by right clicking on the person. (Feature#14199)
+Repeat formula -> "Per day wage": it now also amounts under the contract to be considered not only settlement rules. (Feature#14233)
+Roster -> overtime application: you can also the current level of +/-spend hours. (Feature#14242)

thea.orchester
+You can deposit rules for role and production bonuses. (Feature#14091)

thea.chor
+You can deposit rules for role and production bonuses. (Feature#14091)

Miscellaneous
+For errors that occur due to not running database scripts, an informational message is issued. (Feature#13812)
+Choir / orchestra billing -> billing may be issued now grouped according to contract. (Feature#13845)
+Permission management: The permissions of a user can be copied and pasted at another user. (Feature#14099)
+Plan -> one row per day: improved the speed of the output stage addresses indicates. (Feature#14173)
+Master data -> formula settings: implementing a filter to separately evaluate the services after stages in the service statistics. (Feature#14194)
+History: The date of the activity will be shown in a separate column. (Feature#14220)
+Space management: It is now checked on double occupancy. (Feature#14225)
+Activities -> resources: a withholding rates can be deposited. (Feature#14248)
+The international women's day for Berlin and the world children's day for Thuringia holidays have been added. (Feature#14260)
+Subscription season have a short name. (Feature#14275)

thea.contact
+Contact search: The filter for departments is now better "All" with the value, if you don't have permissions on all sections of the system. (Feature#14309)

thea.contract
+Contract -> appointments: work packages can be distributed pro rata to months (such as "sample fee payment dates"). (Feature#14190)

thea.transfer
+Cash position: when you create a "technical temporary settlement" the settlement date can now be specified. (Feature#14313)


Release 4.191.124 from 2019-03-12
=================================

Miscellaneous
-Roster -> copy and paste: NullReferenceException. (Bug#14318 | category 3 - Medium)
 When you copy and paste all the services a week, it comes to an error message.
-Roster: No service times in the first row can be using the keypad enter. (Bug#14320 | category 3 - Medium)


Release 4.191.122 from 2019-03-07
=================================

Miscellaneous
+Contact data: additional data with the same data type and same SortNr. are sorted according to the entered value. (Feature#14160)
-Cast list: The obsolete setting "Season-spanning standard occupation" issued no actor. (Bug#14317 | category 3 - Medium)


Release 4.191.121 from 2019-03-06
=================================

Miscellaneous
-Dispo: when saving an activity there will be an error message if the activity to "00:00" begins / ends and the history is active. (Bug#14188 | category 3 - Medium)
-Service plan: summary columns -> unexpected error occurred while evaluating the calculation values. (Bug#14217 | category 3 - Medium)
 From the formula of AZ distribution (LI)
-Roster: The assignment of a layer to a task time refers to the beginning of the activity. However, the beginning of the task would be right. (Bug#14284 | category 3 - Medium)

thea.budget
-Types of costs per idea: always the first default value of production is used. (Bug#14290 | category 3 - Medium)


Release 4.191.119 from 2019-02-25
=================================

thea.perso
-Service plan -> comparison with...: when people from other departments are displayed in the selected time period, there will be a KeyNotFoundException. (Bug#14259 | category 3 - Medium)

Miscellaneous
-Roster: Setting of the characteristic "Is checked" can not be undone with the undo function. (Bug#14258 | category 3 - Medium)


Release 4.191.118 from 2019-02-19
=================================

thea.contract
-Add contract -> activity dates: the filters for the types of activity is not visible and can't change. (Bug#14254 | category 3 - Medium)


Release 4.191.117 from 2019-02-18
=================================

Miscellaneous
-Productions: Sometimes the message to update the presentation duration without the duration has been changed appears. (Bug#14252 | category 3 - Medium)


Release 4.191.115 from 2019-02-15
=================================

Miscellaneous
-Productions -> Countdown: deleting the associated roles not with deletes, it is only an error message. (Bug#14246 | category 3 - Medium)
-Productions -> standard occupation: occupations several times applied when adding production of the seasons. (Bug#14253 | category 3 - Medium)


Release 4.191.114 from 2019-02-12
=================================

Miscellaneous
-Merge contacts: contacts with the same qualifications cannot be merged. (Bug#14215 | category 3 - Medium)
-Plan -> conditional formatting: "All but first VST" has no effect. (Bug#14216 | category 3 - Medium)


Release 4.191.111 from 2019-02-07
=================================

thea.perso
-Roster: In the first week of work (contract start on Monday) there is no reference for free days will be charged. (Bug#14159 | category 3 - Medium)

thea.orchester
-Roster (occupation): A new user gets an ArgumentNullException when changing the Department. (Bug#14214 | category 3 - Medium)

thea.chor
-Roster (occupation): A new user gets an ArgumentNullException when changing the Department. (Bug#14214 | category 3 - Medium)

Miscellaneous
+Contract: Roles and production contracts, travel/accommodation costs can be issued. (Feature#14154)


Release 4.191.110 from 2019-02-05
=================================

Miscellaneous
-Contacts/staff: No more letters can be created when the contact/employee has attachments. (Bug#14212 | category 2 - High)
 Affected customers with version 4.191.100 or higher.


Release 4.191.109 from 2019-02-04
=================================

thea.orchester
-Choir / Orchesterdispo: Occupations other departments are issued on the cast list. Is no way to turn it off. (Bug#14114 | category 3 - Medium)

thea.chor
-Choir / Orchesterdispo: Occupations other departments are issued on the cast list. Is no way to turn it off. (Bug#14114 | category 3 - Medium)


Release 4.191.108 from 2019-01-31
=================================

Miscellaneous
-Roster: Unexpected error opening the service plan. (Lack of permissions on ZeitkontenMonat). (Bug#14208 | category 3 - Medium)
 Only customers with version 4.191.107 (dated 30.01.2019) are affected.


Release 4.191.107 from 2019-01-30
=================================

thea.dispo
-Plans: The issue of "TravelSteps" or "ProductionTravelSteps" is an exception. (Bug#14205 | category 3 - Medium)

thea.perso
-Roster -> pressure: the default text for the header is no longer issued. You must edit the text once. (Bug#14207 | category 3 - Medium)

thea.orchester
-Orchestra grouping -> sums: the formula "Services during the compensation period" no values calculated if the settings are on "Play time" and "not to end the selected week". (Bug#14203 | category 3 - Medium)

Miscellaneous
+Home -> current repertoire: the time and date format has been adapted. (Feature#14127)
-If master data by other users were reenlisted and assigned to transaction data, these are not immediately available, this can lead to errors can. (Bug#14198 | category 4 - Low)


Release 4.191.106 from 2019-01-25
=================================

thea.dispo
-Productions: If a new production was created, pending changes to the previously selected production are not saved if necessary. (Bug#14140 | category 3 - Medium)
-Plan -> calendar: the column settings for day-based colors will not be considered. Individual colours such as school holidays can not mutually. (Bug#14178 | category 3 - Medium)
-View "Resource planning": The permission check if the view can be called, has been corrected. (Bug#14183 | category 3 - Medium)

thea.perso
-Views "Time accounts per month" and "financial statements / balance periods": The permission check if the views can be called, has been corrected. (Bug#14182 | category 3 - Medium)

Miscellaneous
-Plans -> occupation / absences: If a plan is issued in which the option has been enabled, the absences are issued, but no columns have been defined, there will be an ArgumentOutOfRangeException. (Bug#14141 | category 4 - Low)
-Cancelled requests can be bearbetet not in series. (Bug#14164 | category 3 - Medium)
-View "Import employee/contact details": The eligibility check to see if the view can be accessed has been corrected. (Bug#14179 | category 3 - Medium)


Release 4.191.105 from 2019-01-23
=================================

thea.perso
-Report: False entitlement to monthly holiday entered manually during closed periods. (Bug#14158 | category 3 - Medium)
-Roster: Free half days are not shown in the film details and not numbered in the output. (Bug#14166 | category 3 - Medium)
-Roster: Activities are assigned per day/persons to different layers, an error occurs. (Bug#14167 | category 3 - Medium)


Release 4.191.104 from 2019-01-18
=================================

thea.dispo (web)
-Login with a Windows user, may lead to, that of another Windows user database connection is reused, which it will authenticate as a different user. (Bug#14151 | category 2 - High)

thea.orchester (web)
-Login with a Windows user, may lead to, that of another Windows user database connection is reused, which it will authenticate as a different user. (Bug#14151 | category 2 - High)

thea.perso (web)
-Login with a Windows user, may lead to, that of another Windows user database connection is reused, which it will authenticate as a different user. (Bug#14151 | category 2 - High)


Release 4.191.103 from 2019-01-18
=================================

thea.budget
+Budget planning inlet service: Adjustments. (Feature#14118)


Release 4.191.102 from 2019-01-17
=================================

Miscellaneous
-Choir ensembles: Absences are displayed in the columns on the basis of its active period, different cast times will not be considered. (Bug#14139 | category 4 - Low)


Release 4.191.101 from 2019-01-14
=================================

Miscellaneous
+Holiday calculation model: It can can specify rule for pro-rata additional holiday. (Feature#13896)
-Roster cast - sequence contains no elements. (Bug#14126 | category 3 - Medium)


Release 4.191.100 from 2019-01-11
=================================

thea.dispo
+Dispo -> variations: you can now define colors for variants. (Feature#14009)
+Plan -> one row per day: also rejected and cancelled absences may be issued. (Feature#14039)

thea.perso
+Roster: Associated cost objects through a "corner" show (like activities). (Feature#13743)
+Service pressure: The activity associated to a service can be printed in the service plan. The format should be adjustable. (Feature#13747)
+Absences Schedule dialog: option to overwrite any existing data such as free. (Feature#13751)
+Time accounts transferred: it should be the factor from the Repeat column will take over. (Feature#13755)
+Accounts -> Formula "Weekly hours": You can now specify time accounts that should not be included in the calculation. (Feature#13922)

Miscellaneous
+Roster -> demand planning: there is a ToolTip that displays how much demand comes from which activities. (Feature#13482)
+Game plan-export: Individual production and activity fields could be exported. (Feature#13529)
+Contacts: In the contact filter can be distinguished according to Ensemble and guests. (Feature#13576)
+Productions -> standard occupation -> repertoire: it can be filtered by Ensemble and guests. (Feature#13580)
+Activity and occupation history: There's a permission system. (Feature#13594)
+Plan: The fields for the cost of an Aktitivtät can be selected in the schedule settings. (Feature#13602)
+Productions: The activity filter selection is stored. (Feature#13633)
+Plan -> one row per production: the variant filter is adjustable also "on the fly". (Feature#13656)
+There is a single ToolTip for contract information. (Feature#13660)
+There is a single ToolTip for role information. (Feature#13664)
+There is a single ToolTip for activity information. (Feature#13668)
+Plan: Occupations and absences -> in the footer of occupations can be given of the number of working days. (Feature#13704)
+Roster: Services can be marked "tested" as per employee/day. (Feature#13841)
+User management: With 'Hide inactive' permission areas for not licensed and not installed modules will be hidden. (Feature#13881)
+Additional data types have an "inactive" features. (Feature#13892)
+Roster printing: Layouts can be copied. (Feature#13927)
+Home -> contract periods: for repeating appointments one can be used "completed" period newly. The interval can be deposited in the contract field types. (Feature#13934)
 In contracts, recurring appointments can be managed, himself.
+Production -> costs: accommodation costs defaults can now deposit. (As with the trip costs via master data -> Beesitzergruppen.). (Feature#13955)
+Production -> costs: make default for sample, travel &amp; accommodation package can override. (Feature#13959)
+Production -> cost: the plan's fees can now be copied in another game time. (Feature#13963)
+Production -> cost: for equipment costs, a date can be set for budgeting, this costs on calendar year can be divided. (Feature#13967)
+Production -> cost: calculate sample costs of 90/60 rule. (Feature#13971)
 Thus, for example the 90/60 rule can be implemented. Is evaluated for cost estimates and cost views.
+Report: "cost per performance": equipment costs take into account from the date for the budgeting. (Feature#13975)
+Scheduling reports -> performance budget: after production, the "packages for ideas" are now grouped on the issue of costs, on a separate line. (Feature#13979)
+Vertragstracking: Including ensemble contracts can be viewed. (Feature#13987)
+Occupation per production: the contract status can be printed. (Feature#13991)
+Contact/basic data: possibility of finding "Function" keyword/search "All". (Feature#13995)
+Budget game plan: holidays, the day indicator and the daily notes columns can be displayed. (Feature#14030)
+Plan -> line per day: Absences are issued only on the first day. (Feature#14035)
+Home -> absences: it can be filtered according to types of contracts and attendance reasons. (Feature#14072)
+Home -> game plan: it can be filtered according to stage. (Feature#14076)
-Roster: Trainees are repeatedly assigned to same Department are displayed 2 times, but grayed out incorrectly. (Bug#13620 | category 3 - Medium)

thea.budget
+Report: Fees per contract: optionally also the fees with the option "Calculation value" can be issued. (Feature#13789)

thea.contract
+Vertragstracking: There is a print function. (Feature#13983)


Release 4.184.138 from 2019-01-11
=================================

thea.perso
-RapPort -> free days: If the overtime account on monthly (repeat first until last month), days of broken up weeks in the calculation are taken into account the free. (Bug#14105 | category 3 - Medium)

Miscellaneous
-Time accounts per month: the Refresh button loads only the contract list new. (Bug#14104 | category 3 - Medium)
-Productions -> Department: If there are no contracts in the Department, the role names are not displayed. (Bug#14113 | category 3 - Medium)
